<?php

namespace app\admin\controller;
//验证类
use app\admin\controller\Auth;
use think\Request;
// 缓存
use think\Cache;
use think\Db;

class System extends Auth
{
    //需验证方法集
    protected $is_check_login = ['*'];

    //系统设置
    public function system($Indexpage)
    {
        //判断是否POST提交数据
        if (Request::instance()->method() == "POST") {
            //获取请求数据
            $post = input("post.");
            $object = ['webset', "seoset", "apiset", 'appset', 'tipsset', 'collectset', 'bannerset', 'sayset', 'emailset', 'socket'];
            if (in_array($Indexpage, $object)) {
                return $this->setIni($Indexpage, $post);
            } else {
                return request_tips(404, "服务类型不存在");
            }
        } else {
            return request_tips(1);
        }
    }

    // 通用添加
    public function add($Indexpage)
    {
        //判断是否POST提交数据
        if (Request::instance()->method() == "POST") {
            $post = input("post.");
            switch ($Indexpage) {
                case 'banner': //轮播
                    return $this->addbanner();
                    break;
                case 'ad': //广告
                    return $this->addad();
                    break;
                case 'special': //专题
                    return $this->cofspecial();
                    break;
                case 'player': //播放器
                    $post['time'] = date("Y-m-d H:i:s");
                    return $this->setIni($Indexpage, $post, "Array");
                    break;
                case 'nav': //导航
                    return $this->addnav();
                    break;
                case 'tort': //侵权
                    return $this->addtort();
                    break;
                case 'say':
                    return $this->addusersay();
                    break;
                case 'kami':
                    return $this->addkami();
                    break;
                default:
                    return request_tips(404, "服务类型不存在");
                    break;
            }
        } else {
            return request_tips(1);
        }
    }

    // 通用修改
    public function edit($Indexpage)
    {
        //判断是否POST提交数据
        if (Request::instance()->method() == "POST") {
            switch ($Indexpage) {
                case 'ad': //广告
                    return $this->editad();
                    break;
                case 'tort': //侵权
                    return $this->edittort();
                    break;
                case 'navset':
                    return $this->editnavset();
                    break;
                case 'player':
                    return $this->editplayer();
                    break;
                case 'banner': //轮播
                    return $this->editbanner();
                    break;
                case 'passwd': //密码
                    return $this->editpasswd();
                    break;
                case 'user': //会员
                    return $this->edituser();
                    break;
                default:
                    return request_tips(404, "服务类型不存在");
                    break;
            }
        } else {
            return request_tips(1);
        }
    }

    // 通用删除
    public function del($Indexpage)
    {
        if (Request::instance()->method() == "POST") {
            switch ($Indexpage) {
                case 'banner': //轮播
                    return  $this->delbanner();
                    break;
                case 'tort': //侵权
                    return  $this->deltort();
                    break;
                case 'ad': //广告
                    return  $this->delad();
                    break;
                case 'say': //留言
                    return  $this->delsay();
                    break;
                case 'nav': //导航
                    return  $this->delnav();
                    break;
                case 'player': //播放器
                    return $this->delplayer();
                    break;
                case 'plate':
                    return $this->delSpecial();
                    break;
                case 'kamilist':
                    return $this->delkami();
                    break;
                case 'user':
                    return $this->deluser();
                    break;
                default:
                    return request_tips(404, "服务类型不存在");
                    break;
            }
        } else {
            return request_tips(1);
        }
    }

    // 导航修改
    public function editnavset()
    {
        // 判断是否存在关键空参数
        if (!input('?post.title')) {
            // 执行修改操作
            if (input('?post.close')) {
                $opt = input('post.close');
                $data = ['close' => input('post.close')];
            } else {
                $opt = input('post.overall');
                $data = ['overall' => input('post.overall')];
            }
            $result = upConfig('navset', $data, input('post.inc_id'));
            // 判断操作详情
            if ($result) {
                if ($opt == "on") {
                    return request_tips(200, "开启成功");
                } else {
                    return request_tips(200, "关闭成功");
                }
            } else {
                return request_tips(500, "操作失败");
            }
        } else {

            if (!input('post.title')) {
                return request_tips(422, "导航标题不能为空");
            }

            if (!input('post.url')) {
                return request_tips(422, "导航地址不能为空");
            }

            $sort = input('post.sort') == null ? "0" : input('post.sort');

            $data = ['title' => input('post.title'), 'url' => input('post.url'), 'sort' => $sort];
            $result = upConfig('navset', $data, input('post.inc_id'));
            // 判断操作详情
            if ($result) {
                return request_tips(200, "修改成功");
            } else {
                return request_tips(204, "未发生修改");
            }
        }
    }

    // 播放器修改
    public function editplayer()
    {
        // 判断是否存在关键空参数
        if (!input('?post.playtitle')) {
            // 执行修改操作
            $data = ['state' => input('post.state')];
            $result = upConfig('player', $data, input('post.inc_id'));
            // 判断操作详情
            if ($result) {
                if (input('post.state') == "on") {
                    return request_tips(200, "开启成功");
                } else {
                    return request_tips(200, "关闭成功");
                }
            } else {
                return request_tips(500, "操作失败");
            }
        } else {

            if (!input('post.playtype')) {
                return request_tips(422, "接口类型不能为空");
            }

            if (!input('post.playtitle')) {
                return request_tips(422, "接口标题不能为空");
            }

            if (!input('post.playurl')) {
                return request_tips(422, "接口地址不能为空");
            }

            $data = ['playtitle' => input('post.playtitle'), 'playtype' => input('post.playtype'), 'playurl' => input('post.playurl')];
            $result = upConfig('player', $data, input('post.inc_id'));
            // 判断操作详情
            if ($result) {
                return request_tips(200, "修改成功");
            } else {
                return request_tips(204, "未发生修改");
            }
        }
    }

    //删除会员
    public function deluser()
    {
        // 判断ID是否存在
        if (input("?post.id")) {
            // 启动事务
            Db::startTrans();
            try {
                // 删除用户
                $result = Db::table('v1_user')->where('user_id', input("post.id"))->delete();
                // 判断添加状态
                if ($result) {
                    // 删除用户信息
                    $res = Db::table('v1_user_info')->where('user_id', input("post.id"))->delete();
                    // 判断执行详情
                    if ($res) {
                        $res = true;
                    }
                } else {
                    $res = false;
                }
                // 提交事务
                Db::commit();
            } catch (\Exception $e) {
                $res = false;
                // 回滚事务
                Db::rollback();
            }
            if ($res) {
                return request_tips(200, "删除成功");
            } else {
                return request_tips(203, "删除成功");
            }
        } else {
            return request_tips(500, "错误参数");
        }
    }

    // 编辑会员
    public function edituser()
    {
        //判断是否POST提交数据
        if (Request::instance()->method() == "POST") {
            $info = [];
            // 修改密码
            if (input("?post.passwd") && !empty(input("post.passwd"))) {
                $info['v1_user.user_passwd'] = cms_md5(input("post.passwd"));
            }

            // 修改余额
            if (input("?post.points") && !empty(input("post.points"))) {
                $info['v1_user_info.user_points'] = (input("post.points"));
            }

            // 修改昵称
            if (input("?post.nick") && !empty(input("post.nick"))) {
                $info['v1_user_info.user_nick'] = (input("post.nick"));
            }
            $join = 'v1_user.user_id=v1_user_info.user_id';
            $res = db('v1_user')->where('v1_user.user_id', input('post.id'))->join('v1_user_info', $join)->update($info);
            if ($res) {
                return request_tips(200, "保存成功");
            } else {
                return request_tips(404, "保存失败");
            }
        } else {
            return request_tips(422, "参数错误");
        }
    }

    //删除卡密
    public function delkami()
    {
        // 判断ID是否存在
        if (input("?post.id")) {
            $result = db('v1_kami')->where('kami_id', input("post.id"))->delete();
            if ($result) {
                return request_tips(200, "删除成功");
            } else {
                return request_tips(203, "删除成功");
            }
        } else {
            return request_tips(500, "错误参数");
        }
    }

    // 添加卡密
    public function addkami()
    {
        // 关键字段
        $auth = ['num', 'type', 'value'];
        // 判断是否为空
        if ($this->isDefine($auth)) {
            $post = input('post.');
            $km = function ($i = 0) use (&$km) {
                $key = time() . rand(0, 9999999) . $i;
                $key = md5($key);
                return $key;
            };
            if ($post['type'] == "1") {
                $_type = 1;
                $_n = "元";
            } else {
                $_type = 2;
                $_n = "天";
            }
            // 生成余额卡密
            if ($post['type'] <= 2 && $post['type'] > 0) {
                for ($i = 0; $i < $post['num']; $i++) {
                    $kkm = $km($i);
                    $d[$i] = [
                        // 
                        'kami_content' => $kkm,
                        'kami_type' => $_type,
                        'kami_points' => $post['value']
                    ];
                    $data[$i]['id'] = $i + 1;
                    $data[$i]['content'] = $kkm;
                    $data[$i]['value'] = $post['value'] . $_n;
                    $data[$i]['state'] = '';
                    $data[$i]['time'] = date("Y-m-d H:i:s", time());
                }
                $res = db('v1_kami')->insertAll($d);
                if ($res) {
                    $info = [
                        "code" => 0,
                        "msg" => "加载成功",
                        "count" => count($post['num']),
                        "data" => $data
                    ];
                } else {
                    $info = [
                        "code" => 0,
                        "msg" => "加载成功",
                        "count" => 0,
                        "data" => []
                    ];
                }

                return ($info);
            }

            return request_tips(500, "生成类型错误");
        }
    }

    // 管理员回复留言
    public function addusersay()
    {
        // 
        $post = ['id', 'content'];
        if ($this->isDefine($post)) {
            // 初始化数据
            $data = ['say_type' => "2", "say_content" => input('?post.content'), 'say_to' => input('post.id'), 'say_state' => 'on'];
            // 开始执行
            $result = db('v1_say')->insert($data);
            // 判断执行结果
            if ($result) {
                return request_tips(200, "回复成功");
            } else {
                return request_tips(500, "回复失败");
            }
        }
    }

    //修改密码
    public function editpasswd()
    {
        //判断是否POST提交数据
        if (Request::instance()->method() == "POST") {
            if (input("?post.old_password") && input('?post.new_password') && input('?post.again_password')) {
                $post = input("post.");
                //验证旧密码
                if (cms_md5($post['old_password']) == getConfig('logininfo', 'password')) {
                    //判断两次密码是否一致
                    if ($post['new_password'] == $post['again_password'] && !empty($post['again_password'])) {
                        $res = setConfig('logininfo', ['password' => cms_md5($post['again_password'])]);
                        if ($res) {
                            return request_tips(200, "保存成功");
                        } else {
                            return request_tips(404, "保存失败");
                        }
                    } else {
                        return request_tips(422, "两次密码不正确");
                    }
                } else {
                    return request_tips(401, "旧密码错误");
                }
            } else {
                return request_tips(422, "参数错误");
            }
        }
    }

    //删除播放器数据
    public function delplayer()
    {
        if (Request::instance()->method() == "POST") {
            if (input('?post.id')) {
                $id = input('post.id');
                //判断信息为整数
                if (input('id') >= 0) {
                    if (rmConfigArray('player', $id)) {
                        return request_tips(200, "删除成功");
                    } else {
                        return request_tips(404, "删除失败");
                    }
                } else {
                    return request_tips(422, "参数错误");
                }
            }
        }
    }

    //删除导航数据
    public function delnav()
    {
        if (Request::instance()->method() == "POST") {
            if (input('?post.id')) {
                $id = input('post.id');
                //判断信息为整数
                if (input('id') >= 0) {
                    if (rmConfigArray('navset', $id)) {
                        return request_tips(200, "删除成功");
                    } else {
                        return request_tips(404, "删除失败");
                    }
                } else {
                    return request_tips(422, "参数错误");
                }
            }
        }
    }

    // 清空缓存
    public function zeroing()
    {
        $auth = false;
        $res = false;

        // 判断是否是列表页
        if (input('?post.type') && input('type') == "list") {
            $res = Cache::store("cmslistcache")->clear();
            $auth = true;
        }
        // 判断是否是播放页
        if (input('?post.type') && input('type') == "play") {
            $res = Cache::store("cmsplaycache")->clear();
            $auth = true;
        }
        // 判断是否是首页
        if (input('?post.type') && input('type') == "index") {
            $res = Cache::store("cmsindexcache")->clear();
            $auth = true;
        }
        // 判断是否是搜索页
        if (input('?post.type') && input('type') == "search") {
            $res = Cache::store("cmssocache")->clear();
            $auth = true;
        }
        // 判断是否是详情页
        if (input('?post.type') && input('type') == "detail") {
            $res = Cache::store("cmsdetailcache")->clear();
            $auth = true;
        }
        // 全部清除
        if (!input('?post.type') || input('type') == "all") {
            $res = Cache::store("cmssocache")->clear();
            $res = Cache::store("cmsplaycache")->clear();
            $res = Cache::store("cmsindexcache")->clear();
            $res = Cache::store("cmslistcache")->clear();
            $res = Cache::store("cmsdetailcache")->clear();
            $auth = true;
        }

        // 判断结果
        if ($res) {
            return request_tips(1, "清理缓存成功");
        } else {
            if ($auth) {
                return request_tips(2, "清理缓存失败");
            } else {
                return request_tips(2, "参数错误");
            }
        }
    }

    //获取采集方法
    public function collectionmethod()
    {
        if (input('?collist') && !empty(input('collist'))) {
            $path =  CMS_COLLECTION_PATH  . input('collist') . '/';
            $data = getConfig('readme', null, $path);
            //判断数据是否空
            if (empty($data)) {
                return request_tips(404, "空的数据");
            }
            return request_tips(200, "获取成功", $data);
        } else {
            return request_tips(422, "参数错误");
        }
    }

    // 添加专题信息
    public function cofspecial()
    {

        if (input('?post.title') && empty(input('title'))) {
            return request_tips(422, "专题名称不能为空");
        }

        if (input('?post.alias') && empty(input('alias'))) {
            return request_tips(422, "专题别名不能为空");
        }

        if (input('?post.sign') && empty(input('sign'))) {
            return request_tips(422, "详情标识不能为空");
        }

        if (input('?post.collist') && empty(input('collist'))) {
            return request_tips(422, "采集列表不能为空");
        }

        if (input('?post.bindtype') && empty(input('bindtype'))) {
            return request_tips(422, "功能类型不能为空");
        }

        if (input('?post.method') && empty(input('method'))) {
            return request_tips(422, "绑定方法不能为空");
        }

        // 判断类型
        if (input('bindtype') == 'search') {
            $res = setConfigAll(input('alias') . '-' . input('sign'), input(), APP_EXTRA_PATH);
        } else {
            $res = setConfigAll(input('alias'), input(), APP_EXTRA_PATH);

            // 自动生成导航
            $post = input();
            $durl =  '/list/' . $post['alias'] . '-all-all-all-rankhot-1.html';
            $close = isset($post['close']) ? $post['close'] : '';
            $sort = isset($post['sort']) ? $post['sort'] : 0;
            $data = ['title' => $post['title'], 'url' => $durl, "close" => $close, 'sort' => $sort, 'id' => $post['alias']];
            $this->addnav($data);
        }

        if ($res) {
            return request_tips(200, "添加成功");
        } else {
            return request_tips(500, "添加失败");
        }
    }

    // 删除专题
    function delSpecial()
    {
        // 获取请求信息
        $post = input();
        //判断关键参数是否存在
        if (isset($post['bindtype']) && isset($post['sign']) && isset($post['alias'])) {
            // 判断关键参数是否为空
            if (empty($post['bindtype']) || empty($post['sign']) || empty($post['alias'])) {
                return request_tips(422, "参数不能为空");
            } else {
                // 判断删除类型
                if ($post['bindtype'] == "search") {
                    // 文件路径
                    $path = APP_EXTRA_PATH . $post['alias'] . '-' . $post['sign'] . '.php';
                } else {
                    // 文件路径
                    $path = APP_EXTRA_PATH . $post['alias'] . '.php';
                }
                // 删除文件返回结果
                $res = unlink($path);
                // 判断执行结果
                if ($res) {
                    return request_tips(200, "删除成功");
                } else {
                    return request_tips(500, "删除失败");
                }
            }
        } else {
            return request_tips(422, "参数错误");
        }
    }

    // 添加导航
    public function addnav($post = [])
    {
        // 判断是否传入数据
        if (empty($post)) {
            // 获取请求数据
            $post = input("post.");
        }
        // 判断关键参数是否存在
        if (isset($post['title']) && isset($post['url'])) {
            if (empty($post['title']) && empty($post['url'])) {
                return request_tips(422, "参数不能为空");
            } else {
                $close = isset($post['close']) ? $post['close'] : '';
                $sort = isset($post['sort']) ? $post['sort'] : 0;
                $id = isset($post['id']) ? $post['id'] : '';
                $time =  date("Y-m-d H:i:s");
                $overall = isset($post['overall']) ? $post['overall'] : '';
                $data = ['title' => $post['title'], 'url' => $post['url'], "close" => $close, 'overall' => $overall, 'sort' => $sort, 'id' => $id, 'time' => $time];
                // 保存数据
                $res = setConfigArray('navset', $data);
                //返回处理结果
                if ($res) {
                    return request_tips(200, "保存成功");
                } else {
                    return request_tips(500, "保存失败");
                }
            }
        } else {
            return request_tips(422, "参数错误");
        }
    }


    // 添加轮播
    public function addbanner()
    {
        // 排除非关键参数
        $post = Request::instance()->except(['soform', 'opttitle', 'sort', 'close'], 'post');
        $key = array_keys($post, '');
        // 判断是否存在关键空参数
        if ($key) {
            return request_tips(422, "参数不能为空");
        }
        // 地址类型
        if (input('post.urlType') == null) {
            $urlType = '1';
        } else {
            $urlType = '2';
        }

        // 开启状态
        if (input('post.close') == null) {
            $close = '';
        } else {
            $close = input('post.close');
        }

        // 数据绑定
        $data = ['banner_title' => $post['title'], 'banner_pic' => $post['pic'], 'banner_url' => $post['playurl'], 'banner_sort' => input('post.sort'), 'banner_type' => $urlType, 'banner_close' => $close];
        // 数据入库
        $resulit = db('v1_banner')->insert($data);
        // 判断入库情况
        if ($resulit) {
            return request_tips(200, "添加成功");
        } else {
            return request_tips(500, "添加失败");
        }
    }


    // 修改轮播
    public function editbanner()
    {
        // 判断是否存在关键空参数
        if (!input('?post.title')) {
            // 判断是否是开关操作
            if (input('?post.close') && input("?post.id")) {
                // 执行修改操作
                $result = db('v1_banner')->where('banner_id', input('post.id'))->update(['banner_close' => input('post.close')]);
                // 判断操作详情
                if ($result) {
                    if (input('post.close') == "on") {
                        return request_tips(200, "开启成功");
                    } else {
                        return request_tips(200, "关闭成功");
                    }
                } else {
                    return request_tips(500, "修改失败");
                }
            } else {
                return request_tips(422, "参数不能为空");
            }
        } else {

            if (!input('post.pic')) {
                return request_tips(422, "图片不能为空");
            }

            if (!input('post.url')) {
                return request_tips(422, "地址不能为空");
            }

            if (!input('post.id')) {
                return request_tips(422, "参数不能为空");
            }

            $data = ['banner_title' => input('post.title'), 'banner_pic' => input('post.pic'), 'banner_url' => input('post.url')];
            $result = db('v1_banner')->where('banner_id', input('post.id'))->update($data);
            // 判断操作详情
            if ($result) {
                return request_tips(200, "修改成功");
            } else {
                return request_tips(204, "未发生修改");
            }
        }
    }

    // 删除轮播
    public function delbanner()
    {
        // 判断ID是否存在
        if (input("?post.id")) {
            $result = db('v1_banner')->where('banner_id', input("post.id"))->delete();
            if ($result) {
                return request_tips(200, "删除成功");
            } else {
                return request_tips(203, "删除成功");
            }
        } else {
            return request_tips(500, "错误参数");
        }
    }

    // 添加侵权信息
    public function addtort()
    {
        // 判断关键参数是否存在
        if (input("?post.title") && input("?post.url") && input("?post.desc")) {
            // 初始化插入数据
            $data = ['tort_title' => input("post.title"), 'tort_site' => input("post.url"), 'tort_desc' => input("post.desc")];
            // 添加信息
            $result = db('v1_tort')->insert($data);
            if ($result) {
                return request_tips(200, "添加成功");
            } else {
                return request_tips(500, "添加失败");
            }
        } else {
            return request_tips(500, "错误参数");
        }
    }

    // 修改侵权
    public function edittort()
    {
        // 判断是否存在关键空参数
        if (!input('?post.title')) {
            // 判断是否是开关操作
            if (input('?post.state') && input("?post.id")) {
                // 执行修改操作
                $result = db('v1_tort')->where('tort_id', input('post.id'))->update(['tort_state' => input('post.state')]);
                // 判断操作详情
                if ($result) {
                    if (input('post.state') == "on") {
                        return request_tips(200, "开启成功");
                    } else {
                        return request_tips(200, "关闭成功");
                    }
                } else {
                    return request_tips(500, "修改失败");
                }
            } else {
                return request_tips(422, "参数不能为空");
            }
        } else {

            if (!input('post.url')) {
                return request_tips(422, "地址不能为空");
            }

            if (!input('post.id')) {
                return request_tips(422, "参数不能为空");
            }

            $data = ['tort_title' => input('post.title'), 'tort_site' => input('post.url'), 'tort_desc' => input('post.desc')];
            $result = db('v1_tort')->where('tort_id', input('post.id'))->update($data);
            // 判断操作详情
            if ($result) {
                return request_tips(200, "修改成功");
            } else {
                return request_tips(500, "修改失败");
            }
        }
    }

    // 删除侵权
    public function deltort()
    {
        // 判断ID是否存在
        if (input("?post.id")) {
            $result = db('v1_tort')->where('tort_id', input("post.id"))->delete();
            if ($result) {
                return request_tips(200, "删除成功");
            } else {
                return request_tips(203, "删除成功");
            }
        } else {
            return request_tips(500, "错误参数");
        }
    }

    // 添加广告
    public function addad()
    {
        // 
        if (input('?post.title') && input('?post.bindColumn') && input('?post.code') && input('?post.sort')) {
            if (!input('?post.bind')) {
                $bind = '';
            } else {
                $bind = input('post.bind');
            }

            if (!input('?post.close')) {
                $close = '';
            } else {
                $close = input('post.close');
            }
            // 插入数据
            $data = ['ad_title' => input('post.title'), 'ad_content' => input('post.code'), 'ad_column' => input('post.bindColumn'), 'ad_sort' => input('post.sort'), 'ad_fixed' => ($bind), 'ad_state' => ($close)];
            $result = db('v1_ad')->insert($data);
            if ($result) {
                return request_tips(200, "添加成功");
            } else {
                return request_tips(500, "添加失败");
            }
        } else {
            return request_tips(500, "错误参数");
        }
    }

    // 删除广告
    public function delad()
    {
        // 判断ID是否存在
        if (input("?post.id")) {
            $result = db('v1_ad')->where('ad_id', input("post.id"))->delete();
            if ($result) {
                return request_tips(200, "删除成功");
            } else {
                return request_tips(203, "删除成功");
            }
        } else {
            return request_tips(500, "错误参数");
        }
    }

    // 修改广告
    public function editad()
    {
        // 判断是否存在关键空参数
        if (!input('?post.title')) {
            // 判断是否是开关操作
            if (input('?post.statu') && input("?post.id")) {
                // 执行修改操作
                $result = db('v1_ad')->where('ad_id', input('post.id'))->update(['ad_state' => input('post.statu')]);
                // 判断操作详情
                if ($result) {
                    if (input('post.statu') == "on") {
                        return request_tips(200, "开启成功");
                    } else {
                        return request_tips(200, "关闭成功");
                    }
                } else {
                    return request_tips(500, "修改失败");
                }
            }

            // 判断是否是开关操作
            if (input('?post.fixed') && input("?post.id")) {
                // 执行修改操作
                $result = db('v1_ad')->where('ad_id', input('post.id'))->update(['ad_fixed' => input('post.fixed')]);
                // 判断操作详情
                if ($result) {
                    if (input('post.fixed') == "on") {
                        return request_tips(200, "开启成功");
                    } else {
                        return request_tips(200, "关闭成功");
                    }
                } else {
                    return request_tips(500, "修改失败");
                }
            }

            return request_tips(422, "参数不能为空");
        } else {

            if (!input('post.bindColumn')) {
                return request_tips(422, "栏目不能为空");
            }

            if (!input('post.id')) {
                return request_tips(422, "参数不能为空3");
            }

            $data = ['ad_title' => input('post.title'), 'ad_content' => input('post.code'), 'ad_column' => input('post.bindColumn'), 'ad_sort' => input('post.sort')];
            $result = db('v1_ad')->where('ad_id', input('post.id'))->update($data);
            // 判断操作详情
            if ($result) {
                return request_tips(200, "修改成功");
            } else {
                return request_tips(500, "修改失败");
            }
        }
    }

    // 删除留言
    public function delsay()
    {
        // 判断ID是否存在
        if (input("?post.id")) {
            $result = db('v1_say')->where('say_id', input("post.id"))->delete();
            if ($result) {
                return request_tips(200, "删除成功");
            } else {
                return request_tips(203, "删除成功");
            }
        } else {
            return request_tips(500, "错误参数");
        }
    }



    /**
     * 保存文件子程序
     * @param string $filename 保存文件名
     * @param array $data 保存数据
     */
    public function setIni($filename = '', $data = [], $type = "object")
    {
        if ($filename == '' || empty($data)) {
            return request_tips(500, "保存失败");
        } else {
            //判断保存类型
            if ($type == "object") {
                $res = setConfigAll($filename, $data);
            } else {
                $res = setConfigArray($filename, $data);
            }
            //返回处理结果
            if ($res) {
                return request_tips(200, "保存成功");
            } else {
                return request_tips(500, "保存失败");
            }
        }
    }
}
