<?php

/**
 * 响应信息
 * @param string $code 响应状态码
 * @param string $msg 响应提示信息
 * @param array $data 响应数据
 */
function request_tips($code = "200", $msg = "ok", $data = [])
{
    //返回信息
    $res = [
        "code" => $code,
        "msg" => $msg
    ];
    //判断是否有额外数据
    if (!empty($data)) {
        //加入额外数据
        $res['data'] = $data;
    }
    return $res;
}


/**
 * 自动标签填充
 * @param array $data 响应状态码
 */
function putVodLabel($data = [])
{
    //验证年份是否存在
    if (isset($data['vod_year']) && !empty($data['vod_year'])) {
        return $data['vod_year'];
    }

    //验证更新是否存在
    if (isset($data['vod_hint']) && !empty($data['vod_hint'])) {
        return $data['vod_hint'];
    }

    //验证评分是否存在
    if (isset($data['vod_score']) && !empty($data['vod_score'])) {
        return $data['vod_score'];
    }
}

// 选集初始化
function putSelectionsjj($info = [])
{
    // 判断变量是否存在 不存在赋初试值
    if (isset($info['p']) && $info['p'] > 0) {
        return $info['p'];
    } else {
        return 1;
    }
}

// 搜索列表
function putSearchList()
{
    // 获取所有配置信息
    $info = getFileName(APP_EXTRA_PATH, '.php');
    $i = 0;
    $data = [];
    // 检出符合数据
    foreach ($info as $key => $value) {
        $auth = config($value['val'] . '.bindtype');
        // 判断是否符合类型
        if ($auth == 'search') {
            $data[$i] = $value;
            $data[$i]['sort'] = config($value['val'] . '.sort');
            $i++;
        }
    }
    // arsort($data);
    $data = array_many_sort($data, 'sort');
    return $data;
}

// 导航列表
function putNavList($type = '')
{
    // 获取数据
    $data = getConfig('navset');
    $i = 0;
    if ($type == '') {
        foreach ($data as $key => $value) {
            if ($value['overall'] == '') {
                $info[$i] = $value;
                $i++;
            }
        }
    } else if ($type == 'on') {
        foreach ($data as $key => $value) {
            if ($value['overall'] == 'on') {
                $info[$i] = $value;
                $i++;
            }
        }
    } else {
        $info = $data;
    }


    // 排序
    $data = array_many_sort($info, 'sort');
    return $data;
}

// 播放器列表
function putPlayerList($type = 1)
{
    $data = getConfig('player');
    $i = 0;
    $info = [];
    // 取出相关数据
    foreach ($data as $key => $value) {
        if ($value['playtype'] == $type || $value['playtype'] == 1) {
            $info[$i] = $value;
            $i++;
        }
    }
    return $info;
}

// 播放页地址
function putPlayUrl($data = [])
{
    return implode('/', $data) . '.html';
}

// 样式排序标识
function putSignStyle($i)
{
}

// 轮播状态
function putBannerSw()
{
    return getConfig('bannerset')['bannerSw'];
}

// 是否开启邮箱验证码
function isEmailCode()
{
    // 获取配置
    $data = getConfig('emailset');
    $sw = isset($data['regcode']) ? $data['regcode'] : '';
    return $sw;
}

// 时间格式化
function getTimeFormatt($time, $type = 1)
{
    switch ($type) {
        case '1':
            return date('Y-m-d H:i:s');
            break;
        case '2':
            return date('Y-m-d');
            break;
        default:
            break;
    }
}
