/*
SQLyog Professional v12.08 (64 bit)
MySQL - 5.5.29-log : Database - lycms
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `v1_ad` */

DROP TABLE IF EXISTS `v1_ad`;

CREATE TABLE `v1_ad` (
  `ad_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '广告表',
  `ad_title` varchar(100) NOT NULL COMMENT '广告备注',
  `ad_content` longtext COMMENT '广告内容',
  `ad_column` varchar(100) NOT NULL DEFAULT '' COMMENT '绑定栏目',
  `ad_sort` int(10) NOT NULL DEFAULT '0' COMMENT '排序',
  `ad_fixed` varchar(10) NOT NULL DEFAULT '' COMMENT '固定',
  `ad_state` varchar(10) NOT NULL DEFAULT '' COMMENT '状态 off关闭 on启用',
  `ad_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新',
  PRIMARY KEY (`ad_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

/*Data for the table `v1_ad` */

insert  into `v1_ad`(`ad_id`,`ad_title`,`ad_content`,`ad_column`,`ad_sort`,`ad_fixed`,`ad_state`,`ad_time`) values (6,'1','2','all',3,'','','2020-04-17 20:11:59');

/*Table structure for table `v1_banner` */

DROP TABLE IF EXISTS `v1_banner`;

CREATE TABLE `v1_banner` (
  `banner_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '轮播ID',
  `banner_title` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
  `banner_pic` varchar(255) NOT NULL DEFAULT '' COMMENT '海报',
  `banner_url` varchar(255) NOT NULL DEFAULT '' COMMENT '播放地址',
  `banner_sort` int(10) NOT NULL DEFAULT '0' COMMENT '排序',
  `banner_type` int(2) NOT NULL DEFAULT '1' COMMENT '地址类型 1.站内 2.直链',
  `banner_click` int(10) NOT NULL DEFAULT '0' COMMENT '点击',
  `banner_close` varchar(10) NOT NULL DEFAULT '' COMMENT '开关',
  `banner_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '添加时间',
  PRIMARY KEY (`banner_id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

/*Data for the table `v1_banner` */

insert  into `v1_banner`(`banner_id`,`banner_title`,`banner_pic`,`banner_url`,`banner_sort`,`banner_type`,`banner_click`,`banner_close`,`banner_time`) values (7,'陈情令之乱魄','https://p.ssl.qhimg.com/t01484bf566137d39cc.jpg','dy/m/f6jjYhH5SHb1Tx.html',1,1,0,'on','2020-04-15 20:11:16'),(9,'衣柜里的冒险王','https://p.ssl.qhimg.com/t01ab8e361e2133f573.jpg','dy/m/fqXjZBH5SHX0TB.html',3,1,0,'on','2020-04-25 17:20:00'),(8,'天火','https://p.ssl.qhimg.com/t01fab1bc5aae4ca7a6.jpg','dy/m/g6TnaRH5Rnj3SB.html',2,1,0,'on','2020-04-14 18:59:23');

/*Table structure for table `v1_collect` */

DROP TABLE IF EXISTS `v1_collect`;

CREATE TABLE `v1_collect` (
  `collect_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '收藏表',
  `user_id` varchar(18) NOT NULL COMMENT '用户名',
  `collect_title` varchar(100) NOT NULL DEFAULT '' COMMENT '内容标题',
  `collect_pic` text COMMENT '内容海报',
  `collect_url` text COMMENT '内容地址',
  `collect_type` varchar(10) NOT NULL DEFAULT '' COMMENT '内容类型',
  `collect_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '收藏时间',
  PRIMARY KEY (`collect_id`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;

/*Data for the table `v1_collect` */

insert  into `v1_collect`(`collect_id`,`user_id`,`collect_title`,`collect_pic`,`collect_url`,`collect_type`,`collect_time`) values (27,'2','冰雪奇缘2','https://p.ssl.qhimg.com/d/dy_a520aa25202add1bd76a635e8f9da0f2.','/detail-dy/m/gKflYxH5QnX7Sx.html','dy','2020-04-21 17:01:14'),(28,'2','叶问4','https://p.ssl.qhimg.com/d/dy_bf020142f4570ed7a44b49698a52b122.jpg','/detail-dy/m/fqLjaRH5RnXASR.html','dy','2020-04-21 17:09:11'),(29,'2','陈情令之乱魄','https://p.ssl.qhimg.com/d/dy_e1e8367f245177d99e289c8c08bda301.jpg','/detail-dy/m/f6jjYhH5SHb1Tx.html','dy','2020-04-24 12:52:00');

/*Table structure for table `v1_column` */

DROP TABLE IF EXISTS `v1_column`;

CREATE TABLE `v1_column` (
  `v_id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `v_title` varchar(100) DEFAULT NULL COMMENT '专题名称',
  `v_alias` varchar(32) NOT NULL COMMENT '专题别名',
  `v_sort` int(10) DEFAULT NULL COMMENT '专题排序',
  `v_ad` varchar(10) DEFAULT NULL COMMENT '专题广告',
  `v_method` varchar(32) DEFAULT NULL COMMENT '采集方法',
  `v_des` text COMMENT '专题描述',
  `v_file` varchar(30) DEFAULT NULL COMMENT '绑定文件',
  `v_state` varchar(10) NOT NULL DEFAULT 'off' COMMENT '状态 off关闭 on启用',
  `v_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新',
  PRIMARY KEY (`v_alias`),
  KEY `v_id` (`v_id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

/*Data for the table `v1_column` */

insert  into `v1_column`(`v_id`,`v_title`,`v_alias`,`v_sort`,`v_ad`,`v_method`,`v_des`,`v_file`,`v_state`,`v_time`) values (1,'1','2',3,'4','5','6','7','8','2019-12-30 13:49:43'),(2,'','',0,'','','','7','8','2019-12-30 13:51:13'),(3,'1','2333',0,'','GetDyList','','index','on','2019-12-30 13:55:35'),(4,'1','23331',0,'','GetDyList','','index','on','2019-12-30 13:58:37'),(5,'视频文章测试','123',123,'','GetDmList','32424','list','on','2019-12-30 14:05:48'),(6,'视频文章测试','1231',123,'','GetDmList','32424','list','off','2019-12-30 14:07:11'),(7,'123','234',345,'','GetDyList','456','index','off','2019-12-30 14:16:19'),(8,'123','2343',345,'','GetDyList','456','index','off','2019-12-30 14:16:40'),(9,'123','23431',213,'','GetDyList','456','index','on','2019-12-30 14:34:22'),(10,'123','234312',21,'','GetDyList','456','index','on','2019-12-30 14:34:51'),(11,'123','2343123',52,'','GetDyList','456','index','on','2019-12-30 14:39:42'),(12,'123','ss',52,'','GetZyList','456','index','on','2019-12-30 14:40:32');

/*Table structure for table `v1_email_log` */

DROP TABLE IF EXISTS `v1_email_log`;

CREATE TABLE `v1_email_log` (
  `elog_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '邮件发送日志',
  `elog_type` varchar(100) NOT NULL DEFAULT '' COMMENT '发送类型',
  `elog_state` varchar(10) NOT NULL DEFAULT '0' COMMENT '发送状态',
  `elog_content` longtext COMMENT '发送内容',
  `elog_user` varchar(100) NOT NULL DEFAULT '' COMMENT '接收对象',
  `ask_ip` varchar(15) NOT NULL DEFAULT '0.0.0.0' COMMENT '操作者IP',
  `elog_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '发送时间',
  PRIMARY KEY (`elog_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

/*Data for the table `v1_email_log` */

insert  into `v1_email_log`(`elog_id`,`elog_type`,`elog_state`,`elog_content`,`elog_user`,`ask_ip`,`elog_time`) values (1,'注册成功','0','/captcha.html','123456@qq.com','127.0.0.1','2020-04-19 19:57:28'),(2,'注册成功','2',NULL,'1234561@qq.com','127.0.0.1','2020-04-19 20:01:12'),(3,'注册成功','2',NULL,'12345611@qq.com','127.0.0.1','2020-04-19 20:28:51'),(4,'注册成功','0','f49bab84169be00ee1e3b58a845f1bf2','123456789@qq.com','127.0.0.1','2020-04-19 20:34:43'),(5,'注册成功','0','aBquA','123456qqqqq@qq.com','127.0.0.1','2020-04-19 20:52:32'),(6,'注册成功','0','MePCy','123456qqqqq1@qq.com','127.0.0.1','2020-04-19 20:57:29');

/*Table structure for table `v1_kami` */

DROP TABLE IF EXISTS `v1_kami`;

CREATE TABLE `v1_kami` (
  `kami_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '卡密表',
  `kami_content` varchar(32) NOT NULL COMMENT '卡密内容',
  `kami_type` varchar(10) NOT NULL DEFAULT '1' COMMENT '卡密类型',
  `kami_points` float NOT NULL DEFAULT '0' COMMENT '余额',
  `kami_time` int(13) NOT NULL DEFAULT '0' COMMENT '时间',
  `km_state` varchar(10) NOT NULL DEFAULT '' COMMENT '使用状态',
  `km_user_name` varchar(18) DEFAULT NULL COMMENT '使用者',
  `km_update_time` bigint(13) DEFAULT NULL COMMENT '使用时间',
  `km_create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`kami_id`),
  UNIQUE KEY `kami_content` (`kami_content`)
) ENGINE=MyISAM AUTO_INCREMENT=1441 DEFAULT CHARSET=utf8;

/*Data for the table `v1_kami` */

insert  into `v1_kami`(`kami_id`,`kami_content`,`kami_type`,`kami_points`,`kami_time`,`km_state`,`km_user_name`,`km_update_time`,`km_create_time`) values (1,'1d1e17d917006b42d1aef073e4d71aab','1',1,0,'',NULL,NULL,'2020-04-17 19:32:00'),(2,'4d17aa0c48fb1271862d995d6fffea34','1',1,0,'',NULL,NULL,'2020-04-17 19:32:00'),(3,'aa801158e92a036afa503ef53b7b2223','1',1,0,'',NULL,NULL,'2020-04-17 19:32:14'),(4,'9637503bd1c90cf343d0ec9efb90f68b','1',1,0,'',NULL,NULL,'2020-04-17 19:32:14'),(5,'1a150b19ff3ba78c9faa1799d781b7f6','1',1,0,'',NULL,NULL,'2020-04-17 19:32:14'),(6,'a97a93d9ad49d41ad6c75a3a6c44980c','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(7,'60cbfeb13289162eed55d4193dc024ef','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(8,'b46ca61cad63603f91169c15c5766fc0','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(9,'a47dc28490adaeb91a95f4bd63ff8d38','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(10,'dcc807631ebc205219a338d99e9c287f','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(11,'859ab9a511407de89159f53546d02e57','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(12,'e9cfb1d2b8b62eb5266625db59fa8b92','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(13,'6ea09aee0a906dbfc7d534e0fc944fb1','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(14,'01a944c61f9efe2db5ecf64acd4c99ba','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(15,'e1c88a362bdff5d5015ce1866d6987a1','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(16,'804651e6cabb40b7beada56e526aab37','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(17,'b3a7f5db8d6f4d8edfaebd184a5c73b2','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(18,'fa2d8c367d69e1a5d78abb909febc8f3','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(19,'98a7bbec598f96fa8aef730aad4575b5','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(20,'534aafc31f565efc4aad1d4f4e2fd05b','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(21,'0b7358b37a16d9b4f5b223723291f992','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(22,'170525a706d51b5aeb9c18aef9808a27','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(23,'b299e8710e9af2fde5d6a1c4f9e2b3f0','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(24,'dd8287593c180bcfecfeb2ba4abc4cb7','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(25,'28d6f0dc6d274b07b140bce9729e05fb','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(26,'6a834c216b9dbf6bcc29d3c2937e417a','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(27,'93b904f23cf6538a555d559cdea4b3e6','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(28,'1ac1391b703b9481c9e5dbaecdd30ac7','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(29,'ffc1c2b86e1dab4eb595c3f704733d16','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(30,'28b5f706dd5b40b9a99cf7655f37d14d','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(31,'1c10757f464ec03fb88a1690fd01f729','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(32,'b0b88446b3f1e269fba72e27413743c4','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(33,'4584f8b53c3bf9b37d25785dc49f4a23','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(34,'5e43ea7e16ccdca87b200092078cf8f6','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(35,'6c91175d0faead934553fa3a34889a63','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(36,'f2c8cc9fa3c1c118a391ca58c335422f','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(37,'5642b8a7d64f7721edc00257bb951d5a','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(38,'7d662f1deae4dffaa3383be5c03ea165','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(39,'f92028d97f272d8ad93d33f36447cebb','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(40,'bdcf9a510ac6588d6fbfee928a3992ef','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(41,'02185e0b4021188cd820f12d7b72b01a','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(42,'0fbb9fc55ddf616de27d9ffb19d195e9','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(43,'f816cd03cc5ea809aa9dff4f8dfabb63','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(44,'33167ed8761904bc156bdb8d9850101d','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(45,'cc777ea2c6feb90926f2703c3fe40a70','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(46,'f805f9daf7bd837e4556ff94c6a8f71a','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(47,'51c55f32a426b03bc37de8331e07e716','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(48,'c3e43e500316dcec0af298d962c03e2a','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(49,'e5c9f09c48c51484b94c988186c3e74b','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(50,'8c796cd2f21a45df53f3c94f792db585','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(51,'73ac37317479c5bc1f37ee3d93172aa3','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(52,'a18d6ad6435f87ede8a883cfb1af54fc','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(53,'8cdb54490d3cc9d2df867874ab22d22f','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(54,'e27ca289f35ceaea00cd376a76f32131','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(55,'baeec6b32514af59bf6152e313650f60','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(56,'073378c7f24833fdb2340c37af72cfc4','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(57,'72107c998b7a10729eb976ec603b2127','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(58,'db56e4fdccd67be1f3e3f09f2538fff0','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(59,'57f3e0d3a0fa7d5fb80fa2aaa998e7f8','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(60,'52fb9b1321f9813cd54200030acce50d','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(61,'3d1b2cd28d3b1a4f892a0f3391262f9d','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(62,'62acddc5523e74d5b4ac60e436af6aa2','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(63,'a08f8b3781d2dc54e33df91914f05b3b','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(64,'ed94771f252ceb03b96c00020fe42510','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(65,'bd5eae793a5c10f44947ea3b8c861b0b','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(66,'92d8a673321e612f57b18c8c40772b95','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(67,'b58caf04b5639a6d7c9edd3314136d59','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(68,'c041ab06d96aaa6bee75ca0cf4e1ab3d','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(69,'f2b29ef3aa6e0f62655d06f234da126b','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(70,'536322568d413904e71e2942799de246','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(71,'efd65f6d8f8d6e093158c5c61641683c','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(72,'02417d963e05b019a3f25cb89dd192a6','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(73,'9da5b8e7592f419782e5620fb8ebe21a','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(74,'6865a351b8ac07f9b044799e3d4f5962','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(75,'d8db63258f177d236359eef3ae5ad0ae','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(76,'ae5bb65b342e79b5709adc07c21a30ab','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(77,'858544cd6d5a0f4ce3c2405333066af4','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(78,'e71b85353b6851db0374201af6ec92c4','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(79,'ba5b01f2617d2e06336cac080e8628ed','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(80,'e66f3cff8d23acad25deb5d6ecb84136','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(81,'a2e31fa1c9a72153825dd7a831135f3c','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(82,'16c6e68b923d70d5bc98f06d09210e44','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(83,'07ef9f1d7a70a08842f64a2947396d11','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(84,'59c64c414c78d5bf6d20793145e1573a','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(85,'099b53c32d35f3d9bea63f7929402a26','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(86,'e0aa020bae81df36f7658cbfcb6bd54a','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(87,'7365621c80e73efd900ea5eb7c64a8a3','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(88,'464709f1e89014f7d0dbb1413ea31e75','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(89,'53e4ad2d602a7eb75102d9ca62cbab7a','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(90,'4a0371c0db0b35ff6f89872cfb833da6','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(91,'27b237116bd9f5fab8853a3aa9341410','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(92,'109398b1c05574f0bb8a5fe1e56576e5','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(93,'648dd9e233f34ab441392c79633060c2','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(94,'ab53622edce0266845f9e948425ff215','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(95,'99af8c76f2d85a9bdea59adec0082a32','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(96,'9b8a3b26a4dfcfa6a1bedbd0a40029b5','2',2,0,'',NULL,NULL,'2020-04-17 20:12:47'),(97,'c4f1466785dff44491d1440aa18949bb','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(98,'97ad90273f989c5be74007b40d140e0c','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(99,'2e9f3e659faa0bf8625c48295bf48c88','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(100,'05107eb5dc06c87669dc55044f03accf','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(101,'c1bf9cad185f4295af332fa37594ead0','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(102,'99190bbdc67c894b3561ab7a6cf21524','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(103,'38235dacddbbe81c5ab3fb07fa3a5723','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(104,'8097ecf3b175dee62342fa1864527c95','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(105,'2ef843cca04472dff7e28449d9f192f2','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(106,'a71dbcf31f088c78113c71378a98e1ef','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(107,'2e41ba41a0a1bc51d50ef13bde57ab78','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(108,'5099b0d645a119cd8ddac8fb58a7278d','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(109,'c70ac1a63330f7a33e7f05beb62e5a5d','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(110,'f0509f7031e3535355a2dc654fb0345d','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(111,'87251d8f6e00d67ac6a3283867f12ecc','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(112,'1eecc9dc9440a7046d9bb3654f9a56a2','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(113,'4b9d24dcad622ed2276582d8b7a256b8','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(114,'28ebd1a6f6813153474f17c84a717f78','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(115,'e30d1c2567bd3846b31c279c52531712','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(116,'d2aca19a682f1d73a492c04e0347b01d','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(117,'3d3a5409e40b4bfa154443db42992626','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(118,'95e6b8bd5ae27045cf9a90a8095ee913','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(119,'de5fc3cb356a379f8aab51adc5f1f1dc','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(120,'9a94294122501b5ac8dca25ad37c22e0','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(121,'57227a09c20628b7e345bec6cf6428a2','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(122,'95c70941c7309d4f572bb5b68cb49364','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(123,'af95bc60c29f4c6d0e3120138fe43ff4','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(124,'9d99d182bf300ac850fa699a41721ca3','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(125,'837daac11c5bc32c23b6a8af01e0ce60','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(126,'b164d397b8a6005158c6cdd56ba104fd','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(127,'6eade1fc0ddd018e2b42e66ed0717060','1',2,0,'',NULL,NULL,'2020-04-17 19:33:09'),(128,'9507e799db76794acf91dceebc865cc1','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(129,'999a574a38aa8746e12446459ed833b0','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(130,'febf3c5bbb4e39e7cdbdc4f76f688538','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(131,'ec27c25d730e9928ea8c2f4b0f063b19','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(132,'752f48ce9ec358ef5232a01442cb16b7','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(133,'f3b94a9a8ebe7b63d19cc598f73d97ae','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(134,'a913594c08b9996a2383cd20deb09295','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(135,'751b3debb1c25e6da29fc60e67a53106','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(136,'2cf8bd4e09617c074b3957ed4919607f','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(137,'17ced23446f8788f1b222181cc5f517c','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(138,'9f959e2625965838fdb1eb4a83d5f636','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(139,'48f67d7888b2c4f34bb6abf1e108bfab','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(140,'7465ed1ddac6391f25d3195e0b563316','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(141,'3a449b658db2468747d5206e0463b4ef','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(142,'ba79c50dc0f8f2968569d75cddfbc07b','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(143,'e6c8cbdb11adeefd3983f4f94674ce57','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(144,'7a94cdae473d62e1d607eca2194cb8ae','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(145,'b2b9285d54cee989fee21b3ce0627c85','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(146,'75cdf8d55da166b463d1d031e9f9745b','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(147,'deafa6b94f051281ba5e082606ef73a7','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(148,'6be7e6350df33591d7404d4fe821f8ba','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(149,'e1f00b0686ae0b686f1d389fce532b2a','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(150,'ad1a3d89fd7a03737465ec553307d8de','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(151,'cb34056a344891c1293bbff105477e58','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(152,'4dcd19ec13441ebd78f37a0b6d316149','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(153,'1ab4bd743beacd67cee24241ccbe4780','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(154,'85c2a5b897397b653f997cdca76594b8','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(155,'105005b1dcdef644ac655d789183fea6','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(156,'6df349cd14a7731bb44eeb6e96788005','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(157,'2eb880acc501800c75952c01d238770d','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(158,'6045736c2e876ffcf9957fd48985549c','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(159,'0b9daaf6878b5e213242743ab9420faf','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(160,'b4ec46cd57730770a68343de3ca03b25','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(161,'223c5f73ec46ddddd4eb6399d8f978d6','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(162,'b1eb7255ec8435472f2aff373fedd3dc','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(163,'72b2a5987c72574ef2eb1c77e8073d10','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(164,'eca8b5429963b9d1d4ba7e2e32a797b0','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(165,'aa599b88da6d102f2a82629749ec8500','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(166,'60430b2e676540fbb24db0c9b124407d','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(167,'524f079ad12d4f776e44a896520d0160','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(168,'427ff42c6d4d38f34f31b380f6e41041','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(169,'96c8f18169bfce3169dfa097e14c9de4','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(170,'4b9cbc0ae60ad4474d22cf72ddc95405','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(171,'d5657d9cda4b5943d1a14dfae12867b8','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(172,'04f1cda5e5408ca55b1caf9f4598d31d','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(173,'3c8548d8d71ac84847e8c54305d5490d','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(174,'5dbe561c3670482979ef6a3f72f694e9','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(175,'05ec75ee880e647f1daef4b44cbe845d','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(176,'7bc00deaa6da23260b1bfea1e7bffd29','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(177,'4e6b24bb8cee83ab6d9f03a4cd42be4d','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(178,'57904f9d91f1a971a8356c81f06afbb0','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(179,'ad428079e5bb45442776134bae420273','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(180,'c20806d2c5fb6067df778aca1dffb348','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(181,'e285188e5545e75b7723def3568a00f4','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(182,'7304267135addf72d3eb8139014feceb','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(183,'f59dddc6cf1ab0d853383e60d9269b63','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(184,'59eaca719495ba25c8b63d3f1daddfc5','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(185,'6d42c1b3a066a4302b865ae52b32a27f','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(186,'a5587bbe13b0acecad39471c0969a155','1',1,0,'',NULL,NULL,'2020-04-17 19:35:27'),(187,'7a047d98edc9c1cb29ffc8c594a9e922','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(188,'7cc38e22f51cd8281f0c999c3a40426c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(189,'58fd7b5a81912e3e63a430c321a5cd8b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(190,'3945c025a323725442d4e6f2a086cf42','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(191,'6be1809b402a785bd6fcd19c945c465a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(192,'36059d6e1227c5b9964be6c7ffa7ace4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(193,'ee040fc90478d7cd4a52e4ac6f07bbfc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(194,'830a4b22be31fdf297c5ad3576351cc4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(195,'5bb3877de9b60a4cb87fe9248bba56e2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(196,'9bb6c425e4212a1ca94cce4896e008a9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(197,'9e6fd67255c2482ba5e9add79062eee9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(198,'3ab133c8fe0aed87e5da20996ea16aa8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(199,'9d39507d173d830f04bb04092d911931','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(200,'7cfa809746bd7bcb7385988a6f31a1c3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(201,'79413414039cd7b00065e0aa37d4102a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(202,'5b2e2932f88ea2148e87b1089405f957','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(203,'1bb3ffa270b054def065595303ccc6c3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(204,'5c635bd1139f2b0fcf143d3e550c5b70','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(205,'6bff3517905e25d3acdc262d08509bcc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(206,'b02ace4613dfcd9668ea49acdd6d18be','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(207,'60a48b5edb841502bd6d60ebccd96863','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(208,'dd25d9aac58ddc8a173ee8e2d7cb6ee0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(209,'bedf5a09a78cd9e51903af3322c37afb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(210,'b2ab732eade8714649730a267ee75b63','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(211,'bce209bc1e721cd1b2b4dff380249dcf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(212,'9d8b91c3a7e0c26891940dcf201e5dfe','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(213,'c193491bf4668addc1e892cd09230fd8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(214,'69c3b34393b4030a2211b34b8792b148','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(215,'127b5a6f902712a02d3cf16fda80687d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(216,'b4791848a7c70dd9c68bd2a5edc2577c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(217,'629e88a069a400302cfd995955afc394','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(218,'635464a8752bc479d587a3d5c41c10b6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(219,'8c876891958cc4a65b9ca2bcad8b8ac6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(220,'35c3190be236aaf305068cd408bf0ed9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(221,'8a36ea2fdd50053ec560cd65cffa19bd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(222,'e23dc1674505b5ad8434babaaecf8df0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(223,'33960a98a2615770c99942ec49c6a908','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(224,'e534962ccd66ac5215a25d9c060e0883','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(225,'4272fec13a028b8a3e6089fbe9b1085a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(226,'10aafcc6102d86c3d6fd9fe14580a929','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(227,'700957e9c529a20e0bdf8f80362f8893','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(228,'844d0ddf0b4d43b3ad496dcb6e1de17f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(229,'15e93dc5d90b1ad4afffd9a8b3a69979','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(230,'2407b7695a9e79bf02c823ce2008af3e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(231,'f5b8adc4e273f187984d8b47c9722051','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(232,'e57cbc6245436ede65a8226fb4251b9d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(233,'3866ca80aaea8750d55ad0d3f8604c79','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(234,'8018c5478d90200b2badcc918332b76b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(235,'7d715d34cb684af1dbc09fd23903c288','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(236,'baf7be260bdcc5d4653e33b3ad74920a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(237,'b06748b53c327fa1e2b4b26cd5318733','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(238,'1711d0669ca0211b02114012a2a12cb3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(239,'8f6313e73562a8ca7b4197f51e674104','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(240,'7961704008db68f77e29dab3ed15655f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(241,'2508ba8ce14cfdccfef1da21327580ae','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(242,'b562c812b82014f4d5930b46232dca39','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(243,'e11c5cbf12268e17c965de86bd65f1c1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(244,'a710361dd1396e77eace30d6fa25a559','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(245,'25a28992eb1a21add78f66d27c6d0f9f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(246,'6a2db5f61acae11d8cffbefb01bd303f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(247,'6af5d0d62e8572d7a3746abb37cc92f6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(248,'483af54022074c692e3c5abb8a425acf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(249,'5a2a3c0c0df30896c5ba4c60eba241e1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(250,'3704caad4ebfd9e5b8f4de286879bc9e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(251,'d693d2f13ecdd286bdb2642a3808ead4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(252,'ec14e91bfe9eb4ec10d47f85f839ea38','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(253,'1a492083134474f5627f0ca94c6435bf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(254,'2c89117a3f690c088de99663ce8caae1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(255,'6f1ad55746ee6e38b2315ae263caf133','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(256,'d24d47353d2a017ea7574bba1426551c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(257,'97ccff4dbb060d69f4d15b1727330c7c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(258,'910284d5bdf672cacfa4bbcb831b3edc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(259,'768bf52cb7e84729d52e9bdd7b828b01','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(260,'749ef6a3d8d9ecb92ccc88f655341be6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(261,'bb4d0d17739431ce7833ecd63254b3ae','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(262,'23625bf0c40d1f2cd239e15e1ee2e3de','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(263,'3410a7bcc37a3e2eabb25d5c071c0886','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(264,'b7c967222ac7a0e16af069e0c60a974d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(265,'90003d6c89b4d1d2aba0c06fe6b0f6b1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(266,'7aac37438df3f040e3ee29286a41d0be','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(267,'0a2d176b410da319c6124141345a23c3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(268,'ce57576f1718e726edb8d78050ed7732','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(269,'678f5de640178eb11a46a493dfc8c697','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(270,'56d8d2735e19a36a45450ec94f800949','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(271,'6cee5f084ed06a46b62d0071347a2179','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(272,'f9ed6f04f680bfdb19f6859ef986e201','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(273,'54040b00114d5fe5e804dd41d415dcd6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(274,'b79fc5059fb4dc1131543d11967ce21a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(275,'a835f4d0080f575af57007e6c6620b27','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(276,'c9cbc508314ff552e11ab5edfc23112f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(277,'b2d56da4ee50dee3fa2b6aaf58ac7ff9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(278,'9beb8591a7d0cf825fb9228e263eb04d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(279,'35bbacf917fcde24dd399892277928b5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(280,'12cc275457e64246d7ad5f1ca20bfc4e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(281,'963e295d5b5b0db51842ad7c34e0c375','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(282,'c5bf6d54070266c4502b3fff0c1c0991','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(283,'87ee69d8d507b0115fde9ee04083cdf7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(284,'f11376e04a672b35513fa3bab92039ee','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(285,'e4323d825cff85a57bac01f3394411d8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(286,'57e3e88e331c7deb46cd5306f19ba428','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(287,'460b667ee8eecbb4103adf37abce76e5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(288,'2b7ee894087afc56afc3d0902977e39e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(289,'4a38b4e578b759344b5628737988a3e1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(290,'a2818d9baf85bab33c611d775fc7b5d0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(291,'01c4179ff9f318b3acc202b943633d54','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(292,'323253a07d03f40728a9bbd2b689d9e0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(293,'25c6fafdb3ceb39dff949a25bd279f15','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(294,'98b12a4ad7614e900657bb79ba11bd52','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(295,'3b474cdc3ad2da6c7a3d11b45c01985f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(296,'078c33c9ca7c98ecd5f1c18a06deaa6d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(297,'40b74b88410f5667010e618eafe77a69','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(298,'808595d87f38321c9bf7266a4e8f3aaa','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(299,'d288fe580c1b5cb99fe691cd34845cea','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(300,'e6c1232e219e2af7bd4e59825b9b4d30','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(301,'bcaf8a960858352ecf42f81ce0dce345','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(302,'9aed2da68eedc43c1b02ea2b2a0e928c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(303,'258ea9a0825a6ecc2063712b02034fc0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(304,'c61e69cc992b7d08e4686f27ccf1d6b7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(305,'e3974b64aabe9d3a370e1619fd622e6c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(306,'f1d29d5b035e8607376403d8541735ce','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(307,'cf3c6a02753077bbb1c718d0ae6b5f23','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(308,'d94bbef723a69250dee90236730972b5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(309,'8b3426716553fd04efd0f03bcc9ff029','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(310,'f34922f3426835bcad688e76e888cd3f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(311,'625b1dbe34f4a52387d01c67390bcf6e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(312,'df36f698377bec0822b3895aaf5db4a7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(313,'4ece1264e2a1086e8021980ca67c1bf2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(314,'414e40535ac2092f11475f79854666d4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(315,'3667a54d7c9d156d487f1f42b252e0a9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(316,'95bebebe3b990fd3a2c095cd036f7011','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(317,'777e59e1e7be82e8c29ab00c4c348abc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(318,'d7615579daec27bc69a1186fa6b071b9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(319,'b295fdd601a1f47f2e4bac2423859c34','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(320,'d0698af5f6b595143640852a7ec4540c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(321,'3d089eebe496efa9ca57dad7ed6c7288','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(322,'848faa1b4273f4b7f98b86767abae5c2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(323,'8adfa86aed642afd9ac911cb8219f580','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(324,'c46d567cd4af1f8242e51ce779900d10','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(325,'c56b9324cea2919d773989ebac4c8d95','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(326,'76cc7d4f43e96398a7146eaa1eb478f4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(327,'8afd3b32e89ccfd4bc47e65b5b89e13f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(328,'92724fc21f9446c7714abf812d005f3e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(329,'33c03f95acc92953d98fffeefba170f6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(330,'9422d653310c7a41b130931cc7b442ba','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(331,'60db46351d18b3a007ab13422efe74c9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(332,'4890327333a0fb2984e6d735eda912ff','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(333,'e3b83c79cafac068dfe81819e6ab2168','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(334,'83c94d24bdc2867fe506cb4c64fe10f1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(335,'4c86dcbd177e3ef5ad6413699e765a6e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(336,'ea4f1e9b83401bd9ea7d7814c04c8062','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(337,'548b408b7b3de9220e9b7de9d8013039','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(338,'43b119f1024b3ad87d7be5db25fc05ff','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(339,'489e7b79c3e75cdf0023fe294910fb3d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(340,'aa80f5d3148a38fcdb548d96eec0312d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(341,'53f6daa1467f04974afe87767638ebbf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(342,'e9ec24b122feaa7c1124109324775c95','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(343,'f0bd017b211c346275bda9af6c6f82a9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(344,'b52b4da1c3dd109e61a7555351f93f0f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(345,'387bd0442d919ab58ed0bd13729aed66','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(346,'f6d50b6aeda2de6077ab13a7c075b442','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(347,'7a33ee31d2644f7e8f82d9eef3f567b8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(348,'bad8bda9f34f3f9029103ea144769768','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(349,'f32810dcf086ae53c6c1ec668af1a641','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(350,'9fa08cc8fec51fb7ef74bad39b7f0f0e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(351,'23bff421774999ac19bfbfc73f4a37f5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(352,'12f5e67e1784d7e08dbcee15be96d789','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(353,'5c09e507c9d4f975059e2f55baaa2ef3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(354,'ec0adff50dd59adbf57f4dbb4863f9d6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(355,'c4392e2fab83193761c40eca0a80ba1a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(356,'6060bfdd46b69fd78310cbea3700bccf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(357,'5a675a3764497e36de0f288db9eb26a0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(358,'d6bda217ae30ce37ee69366f6f8096e9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(359,'747af5b7a476c59cd5c74e3c67160512','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(360,'0419e37df72555578ebe90882017063e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(361,'16f2cc8438198f68b67193e3795bc93d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(362,'f321420ba954756f4e270960c1c8eba7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(363,'875fa3420f256036673b32e6f314b2b2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(364,'41bb263f9c2ee2e10bd7deed65ec8ee2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(365,'b1c91c1af687a837af118e8af3c4318e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(366,'23d1819e202273b92acd221aa4403ee0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(367,'c284899e61921f25e9f3d4a97b081bbc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(368,'e2b77395551f62b5c86fd3cf427ebc45','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(369,'986a81b97804bdc25e265f8be0c0a76a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(370,'55df0daf0dd96be90af2de07b9a7a62c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(371,'94c9abea330c03a14b0b91223b485d3b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(372,'4aad4dfbcaa3003ac9afa72c3ece60e2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(373,'3c149561dec9493f180777de9d417f9e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(374,'2a2089bfb42b50eb2483dd55ae1ba2a6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(375,'9faeb02b0f5788a34cf8217e34d5cd98','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(376,'0c9951f923acf47935fd7b4c24928226','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(377,'c86ec037efa8314f2891fe3c3f0610a7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(378,'953fba37f8c100a260853de9827d9cc2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(379,'f18233d38ed9235cace60e2147263057','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(380,'44dcbeb480feaf0e02d17add527d1c16','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(381,'aa3bae89aa32722db71cad562680c5d4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(382,'c7ca2db5c1bad43375e502c8a7d0110c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(383,'a05f0f8f1c00b099d829374e8044eb57','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(384,'a8a10c39c859b60a53399d9561f13bc7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(385,'f4f574d0d1cc0c55a103f00c15e98ff4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(386,'abca2d3afaea86ef0624ac7f6dab0518','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(387,'66f872e74d03f9a9dba784a0633dcd2e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(388,'9415a8e58efe3f81b5fa5d35447b60a3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(389,'24afb34b7b64baa1161dc6be207e12b7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(390,'e025d3df2b6eb9542629f27ff6ad9de9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(391,'16cbff6ec219832d658a959844e65766','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(392,'e52aea73f745671a545b614c78858ebd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(393,'5d4afed2a810bef029df14bd3856c6c1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(394,'ba358bae34ff6f3526a20af666f31632','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(395,'92f93f7185f2391c154b92c0b6d4918e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(396,'4c0b127011e8b70c8f95787a4d5289e6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(397,'ae09c1e3fde6b3e862694c2b5f9d6d64','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(398,'695ad1e67d20d2c0ef701ff133ef519c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(399,'a317a0bc28564c61d24e053a45045aec','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(400,'41ee53080e256a3eeeaaa1ada13bbfc1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(401,'c6b7c61b1a285b49f24682baaf509344','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(402,'63ef2daf0051a4be7273dc1395a01659','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(403,'395a8475ff02c1f5cb1df1072a6e9a3a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(404,'530c26703f63e4993f08d6d036af1a7b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(405,'45d027e935c8778dc9d7ed5ce4bdecf9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(406,'370157808092f4cdd63359ae4cd03cf6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(407,'9ff06018c3a9f3d44bab000433c7969f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(408,'aa9033d2d551cf829a8a9437850545a7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(409,'4bd358d1d508a0f647a761f9bca6dada','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(410,'623fd3e7feda6788c537dd255e08f07b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(411,'7175516abf7281087de7ec3e7acaaf69','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(412,'1863f69b90d87f6d2654ba1fd8966cb4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(413,'449b87a6adbe055dca58f03389f8865a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(414,'92dd02f2a98e34d682e90e8d2c92d28b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(415,'e6f65cb5e81405e0a9e1c2e7aa081e3a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(416,'b8dbbd621398a3e74785b4700d32b025','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(417,'1bff37be3029d318b472c70d2e59e994','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(418,'e8015620a57469ab7c317796f50aaf4a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(419,'2361908beb26b5a492e6b8d85c03af88','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(420,'011331fb5a5af0774142546f1085b28a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(421,'0d2e4d29a5048c5f28d7f804c8d72cbd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(422,'bcaa0e8648e02a844ecdbffc069fa5d1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(423,'6e4ca13a2647d41c8e50f62100501a10','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(424,'7bfa1fbcd22c326659ce47056d520234','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(425,'83fe042d298e7fa54feb9af5ba6993dc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(426,'0384943a5f0cff216188ccac220e812f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(427,'e875af6f33c234041d7e8d66618e7eeb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(428,'021f78e2930d5c8794b732b68b536038','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(429,'46c0c505770af183d788417b04566be1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(430,'a26bd4e1d8ba8d8921ed10792e06f5d2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(431,'1282afd5e9e2715c2861a80d016200fd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(432,'1623d4d61b8bab1630201c34d8130b81','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(433,'6e53edb5a056e2ea85b9d0358ff92d7c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(434,'624286d13302c4d4e0160a88e3dd98a7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(435,'b1730ac846eeb8cb792c8d7385b96b5b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(436,'10c776b94e2c79e0c5071d24e419e280','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(437,'2bc3c3b084c5d728b0e89338532487d0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(438,'b8a707ab1dfd47ef3479154659c824d1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(439,'873244040058e0d2a5864ffb7d9b8cfd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(440,'ddb0d305a415b651e892f4f64357c87e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(441,'225ff0d84b90361dc4784856d402b98b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(442,'2373cacf8485d149d0ca77466d026d97','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(443,'7683ae6db24198a14189a14a4a59a27b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(444,'cf3fea1c8190a416295e9bd852e66298','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(445,'e2cd5e73e8deb8dd8e66d465cbb27599','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(446,'426049e5d8bded4196b7abd71176b633','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(447,'effc3f315fdbeac7f7abd5f2b4852fbb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(448,'b7ea68c768704842f45e416d7a9a3f45','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(449,'e7be1aaa9b808b2b78e3fc04a485e784','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(450,'ee7bdf14e1a42fe8e0042c045258416c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(451,'7dccfa30bb7d1777d9cae422cc8a91d5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(452,'f258b2151e9d7a123cb5f77a1e849d53','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(453,'01eb242fab483d541d6256c924c432db','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(454,'a6caa96ea9ef290125bd7bb0fcd4bd01','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(455,'e0a0a4a70b19f5b90d417672a31cfe92','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(456,'c76d647ba305982b5147097da6b8d9cc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(457,'8f325a8bf5ff454175b5e983b8da9f78','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(458,'793838873de906f2cee622cbff68f129','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(459,'a75b2a97bca579b3023a08844c91efef','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(460,'573e7eb606e182a014706f6a0a26ca18','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(461,'2ff3887de88eb34ccbd333e8e39f63f8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(462,'0cf69f88593d9af08fee34980560904f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(463,'36a29ff16650b68fb919a0a62217028a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(464,'64bd5d7eaa66abd1b29ab3f99cf0a1f0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(465,'9f60ba4999b131893290a3ebb6fdf15d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(466,'f1b7f0259f093787b3f303f07caf0e53','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(467,'58332a45fe23ece9c6fe9d7f89f50e92','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(468,'5f3a361046a32f3e15d5f2ba2f8d4294','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(469,'87de91d87e4f98ad74a6e97d018095db','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(470,'9cf5d8e50138166d418c5589d48fe212','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(471,'214b26dfcbbe5d9cdca390c2306d76df','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(472,'1c447a4c06d211a5bc9ee25ef00d0e3f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(473,'e92c7224db609e05e1805be895e9a9b5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(474,'050f6812d379a668671361380212d550','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(475,'ad7667878fcc900c0f6489848e296ad9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(476,'381810fb76d20e6d3c7368002ee8680d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(477,'30109d7a32c3ad69be55081529ce3710','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(478,'aaa99dcc3b01b123d62656255c313d2d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(479,'1ade14619d6204d2044de26d458a952e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(480,'1053a31b7973b7af33f7a919b09d09ad','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(481,'37415c8191eaeae0b4bae712ac9c9520','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(482,'55eb14c1a5ad83031cedb846bd1b7a05','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(483,'cec2792d0b49343c3835b033e707d9f6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(484,'f70773cd25cb4300357b766e8351b176','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(485,'172795b02d00f96c191a481735bf4568','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(486,'d63af815da4485cc89bb742fe9cb6b9e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(487,'b143bfb92fc5a6ee779273e5bca57e80','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(488,'5313de7c160eb6551ee10a9e7c1c6226','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(489,'ffab0571d18054ee05a53f48e23e9bc6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(490,'9d8572ab0d0c80c03e542aeb41710380','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(491,'758bff1686aeeb6b85eee594f7228c5d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(492,'c1dbdc4c5645f7138d822e8eb85edbab','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(493,'02bb7f7aa05502b7330491be6775f5cb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(494,'520e8e6973a4215f4bb395fa4d00254f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(495,'01e8bee044564b6d2e7e62c5a8537812','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(496,'69c6264a7a4fd83650d37978f6896d4b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(497,'0585211aa0d733ecd943fe304a5feff9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(498,'0096ce8c2c15e580b4f38af8a128b63e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(499,'5eac9595111f3987ee65ebc886d49154','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(500,'730afa0c858c90854f99ebf846ee270b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(501,'574377343e505a2e600fa18522c79d95','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(502,'ccc4a7d5fbc325f40b57de2468805c70','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(503,'e68e74e90b59a9cbca3eecafce7de706','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(504,'b0d1caaee3f2c7ca2ef68dc74fb15eb0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(505,'0903f0a8296bb011c6b08226f2f781b7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(506,'9ded7431e46a3c84fac2956324a061e7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(507,'d0346a41dcc933b6c7ea9389775308e8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(508,'7fd6a69db3b504d5e0494197fbe29f31','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(509,'6ef9a389ddf950842fd1931b7e4906b4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(510,'8f010651a346eb3c5d279ae1e54765f2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(511,'c15a6d8e915bca3a85d63346ccac098c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(512,'87b6704c240779ee4d97311e7bdbc238','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(513,'f08e82bfd70c2503f0b4af9d60c26b9f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(514,'2a3e2fdfd973b98efbc9bfdaaeffac8b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(515,'261876a30ecaa5a8d28097461ba2c26b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(516,'045d93193235bbd3b27889155172bfab','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(517,'280967176712be9d54ac6aed46c8d448','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(518,'9dddabc73aa3efc34da6eb5965ec70c8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(519,'e6d29d7fea97ff9b4d38dba81c19dea0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(520,'618173a2e83d34cfb977b5b8c45e62d5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(521,'815ffd4676da0c94811be9f0c7c23591','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(522,'bb87e3f6917dd10ce37ffdcd1230d5a8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(523,'32d09b0f0cfe553fcb30967bbd8a5de8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(524,'e153ba311e4c13c1923af57f30d1e8e2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(525,'b8246ce66f8bd923390c96fec95947c6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(526,'c6a8691ec355c0e27c887630c5327a9f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(527,'dfac7005ad135cbadc66c2e725ebe6a6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(528,'60f00b6d9a2dae3e535afcb31ef009dc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(529,'7b52a1f5394c316ce7bbf6d4d0fe96f3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(530,'5a706f7dce3e058d483072b8228ce0d8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(531,'81222a06d56131f5fd0b2ffed1469cde','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(532,'8d2e67c2ce5059487b1ce627f6b53ecc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(533,'e57a27755fd4b56cbb0fca9df631139e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(534,'a44dc54d8899ced06713403d72b1561e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(535,'c8c3022f99fa0e262056de714b23964c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(536,'4715bf5c1ac53e8071bbc5eedc72a5e1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(537,'385aa48052eec77c7c822233f41e632e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(538,'c7ffcc8d6879efc487d3a4333bac9450','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(539,'3497950d2cec18db02fe9f60cdd15646','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(540,'37ecf9420442799f467d7f31b0830d3e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(541,'606651b345888469ed2b3f4674874b32','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(542,'885f43b69653c561a77f1b992d17e9e9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(543,'8c025215b7fc2e6cab65763be253a844','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(544,'a67e6711944af9ca429d006998aca6a9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(545,'340bbab82a31c545b25a5f3e923e7689','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(546,'27def84ccdbe3c082be90836adbbe733','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(547,'82fa675413ba8e835c8656cbe0df5118','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(548,'6493d9ca38aac0d61325e541ba12d5d0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(549,'64c75e161ab7c4bc163dfdaaaa1b678b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(550,'5b99e2be892a8443f411d54172fa0cf9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(551,'f31c96512002d2393939e5c2242162e1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(552,'725301ddc7459b16e7c06807ff85bd74','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(553,'bb8da1b12a358591acade7f264787307','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(554,'7518ec49e8ea4393f8800fce19dfca12','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(555,'b6b745de7d270ad62dbfef3f3769f343','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(556,'6b0a9d6d2c7ac2e075fcd87c2bbbff90','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(557,'0ed294a62fd9e5decf324503cd9ed5a1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(558,'d6a60b60ad209b52de0d5219b8adf157','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(559,'a61532393627c203d6779aaa743a38c0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(560,'3a821bd96e83ecb3395f06cc08307ef8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(561,'267ac00137082eefb602786dd00217f8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(562,'7367b3c23e51641167ff1069ff11eb62','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(563,'92548ff965563e2d632b9e225af375ff','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(564,'a62f7bcceae91fc3c6db2247e3bfd69c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(565,'dd6508492883c2641d3020371bc3f16d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(566,'609373b8c0e3b00ffcf28307eb3cdb91','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(567,'0c5d4d09e5fc7d5857c8ab4c353ba89f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(568,'3958ef6eebbf1296c7cd911d33448e37','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(569,'b1791a5ad642bd0335b94147f7434c93','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(570,'feb6ae3875d746e95fa1005538fd9dab','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(571,'3608ce090351f01be15ee3f00a7b2370','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(572,'1a0bcf4c9cc4161bde79f85eef65ed6c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(573,'39bd7cf6c615b27f04516c4f9ad16ddc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(574,'1304211a4b1d6f4ee667c2473ce30cbb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(575,'92b4fbcb3d5178cd8a396425cc456b73','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(576,'d981088c24934fb22964bbe121a45bc4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(577,'e0d4d496399929f36c37c9d59a0ca93e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(578,'17318a80ce2d420f277e3ed8611ab0f2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(579,'175a3e6a403bca3d5461b25fafae281f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(580,'3cef1c693d9d07afe43e544a705c6633','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(581,'6be6a2e890d6600b56fd043f03bf37c2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(582,'10e79fdbcdd23993140f717f4ae5cb4f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(583,'3f116615539a0bd8a36b8ed2e6340c28','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(584,'9f571c40d503d6d21fa1d7ffcffada6c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(585,'00ce8dc5afaeb1d0cdfd3447c97665c1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(586,'4afdebfa8808897b95a75a35806841da','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(587,'8cd3d0678c38a806bb489fd8c0b39604','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(588,'7eb8781261e844ce0c6b6363015246ec','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(589,'20ff366ea57e9ff74935223ceef51747','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(590,'3c7f3d12ede834514a4acfe7acb3b858','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(591,'e007b2bcfac82d7f9646c68a4a9bcea4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(592,'009663e2b9ff2edeb615db39241d9e9a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(593,'c480551d266c7498e6fb147e5a7b6a81','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(594,'0c0f4fe4307a36629fca7859b94f5772','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(595,'807f52e318b566020923f2d90bfcfc15','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(596,'55c02c791569cb7e150852e9acba86c2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(597,'afa99b15303d359191ba97ad7ffd391e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(598,'4ade83089bcf83d4c152088b7f45fb3e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(599,'d9d9e42cd6b3063c18e22289c8b9a3c3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(600,'0454cd4d3cf2e153c0aca5da60431798','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(601,'07447b979ef1818daeb7d4030f530252','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(602,'f23aa34750bf625bc26dda3b83be9022','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(603,'87b3f5a11877cf407f1299b2d0eeb87e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(604,'c62fc1a59a084e1b04a16565faee87a2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(605,'09390d6ffeeba94a494466c788158538','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(606,'016823f1d551e43357a5e254ed6aba12','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(607,'8e53553656dc596851702dc91cdc180e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(608,'f687e2142f9c2be25671f08670a735a9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(609,'89ff6f98c4f05e7cfc15a898caab3142','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(610,'a2a4b1720c2e10b18dd544ecae42db70','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(611,'33be6b85cae7bfd55d1360b8d31af725','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(612,'cdc0ad269160c8b78fc8aa3c79203f7b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(613,'ca3ebefc73f33bfbd5d68dc9e1bb21f9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(614,'890dc9c83e1d831ce86e53f5fb5384c6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(615,'045ab9aa35927da4aab6bcf5c7fb62ab','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(616,'289b6f41490132fd54e151e8725f49da','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(617,'017435f8e10d892739d089391dd20bc8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(618,'488362f4d2bd40f234117dddf58580a5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(619,'9482ac2fce8cbb9f20ef72ef6fd98238','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(620,'062d7c7568c923efe14d3194e06a2e7a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(621,'d8b7902c9a7812ef8f0b9bed665b4dae','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(622,'66429fd5da9c89f2258a1442b00aa80c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(623,'83a441df4bbccdbf354079ec6ed83db4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(624,'26a21fd6dc7ea451d0fcc427dc16cb6a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(625,'55aeb3ceae608056b005cf7aefe6fc40','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(626,'4042045ab53f32d2b4d9841fdba66b53','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(627,'f18afc71b6dfe14ce574dd9ba2f2afd5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(628,'f700ae7d321add22d9be4b9d1eb61df3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(629,'f6a651b1ca8b67679c4e18006d0f2b4a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(630,'6d6f5ad82afbd82bd7cd71b74f71b54b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(631,'690bec08eace9b596441e38af9e675ec','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(632,'f4aafeaf015431a5e0e251a9aa2fffe7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(633,'98c3735d26a06e9e93421e64d05856bd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(634,'8598e0ff03f67c8607e360dfd614e2a9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(635,'97c0012a53d1eca9e7dc8f694497559c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(636,'fac03c88248e6b981161a2fcdab1b91a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(637,'fcf3458f7a49a937ce10fd2c3b3c6af7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(638,'0f2bb6397725f191721596f6995c84ba','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(639,'48fbef64a674a10e97c788f4790ad503','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(640,'e1e291346b48d2351e827dd07af0f638','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(641,'55680b14bcfae4f1fdf9162d05dd5f81','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(642,'ece79af47f6c5454264b2dcf59cd7738','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(643,'cd763f75241d39650cabaa068aabda8f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(644,'1c15783cc9675744dca414e8de24274a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(645,'ec5e91116ef272ead22b1bfc45de5d16','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(646,'38049c36a04df494d146e1f2da2beb66','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(647,'287dd718d587a0da37cb7827af94e1bd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(648,'7dbac27a0d15105370b0cbb04f3b682f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(649,'72997aa1af3054b938167ef8a2aeb224','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(650,'9ff0e565d028adafc713a6ef187176ad','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(651,'98a76dac561aaae5a101877def185ee6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(652,'45f381cbca77653b170603f065740029','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(653,'af59ecef39903e0374a0e8413789aecb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(654,'0427f9a17c71632c455cd24a7be4e172','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(655,'73bb7444b878947bf1a294de37e93299','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(656,'8d2e389ac6a6531f02b4684c6de536cc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(657,'90b7b5141cc96ca1aa5c8ce17d97c57c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(658,'b34a74b93b07fce1adedc36caf19147b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(659,'72dd766ac439e340119765a9d5da9661','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(660,'77428763cc5b88d47cfc2af341e4634d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(661,'349e27295272854a94d89ba884a462c6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(662,'c00604f7ef49d0a403fe01616eb338b4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(663,'ed505b4c79d0fbef1d1b8481513b7c34','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(664,'83813cf40fc522dd0f616cc0e17a5864','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(665,'6ac6ddea517b028b53a24bb1fe2960e9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(666,'03d899ce8e5229b1460c37c925c58a44','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(667,'18066cff473ee12dfe18e22ed89118ef','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(668,'0e845810425df50771a8a198c26078c7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(669,'0fac453c6b6f99a96b98d64f10e01e47','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(670,'92d9e31a4d88003dc85d578184841bd1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(671,'7821c347fc1ec1e4f8cbe3c690bd294c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(672,'d21aecd22d7511383f1412aca0f3e23a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(673,'25ed68354f4940f89c460d1f4637507b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(674,'44e6ccbc5de0e27f768de3b1eff0e9b6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(675,'ba9fdd41f08a920a0215179d3aa98141','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(676,'10cb2ecd7e1b3650da16943b88bd69a5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(677,'659c8b249d3a6172f70f40b026d2f5bc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(678,'30eab490210cfaa400fc117b7e4496fd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(679,'e4271ee7c60bb41b16e07eaf2d96753e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(680,'d0639b299b9a0e71aff5bd466f934e5a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(681,'c8202b47458b33ca796a648d6a3ed57d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(682,'75f268f384a17c288397e80144dbf148','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(683,'a65842015bcb5963e5b661580ba1c10f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(684,'e44e3ac317ef27386574b48f6333ca99','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(685,'27f5d76633b2e8c7c88e3edf50a34b15','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(686,'4056121307244968e7ce222d5484f7d7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(687,'db657635a004b00b562eacbb84e56070','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(688,'3edd3acee027c25fd556dc95f7c139af','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(689,'e7de04bd394eb25ec935a6b95d0b8f7f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(690,'bd62d5511b4fb3b50d786cf6b21882ee','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(691,'c547dae21ec80c4dd8511b9c2731052e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(692,'1a3a57082c4adccc0f9a6d991f08544e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(693,'6e13d4bb50caae3658533b268c7e2b04','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(694,'74990a108df60eebbec13841aa4c1ed7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(695,'ea9d7195eb4933fa667d607d40e0cb6a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(696,'7426a772eafd47f3c082123c18f8d79e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(697,'c86da93ba6cad7ff68f0362beb8bd283','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(698,'f3ca52fc857e7dcd2cbd270b922cbf1f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(699,'9b85b28313810d6800a3c8c99ec61954','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(700,'ef8350be3791ae12107ec880e1b5adb7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(701,'220ff86d7c1a83b93c611e4c05d1d9e2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(702,'6d7da4021d05474b61bf454a91f43c07','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(703,'69ce0c3852a02e60c2a8e7492c00484a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(704,'671c2b000339341ceac5882c91affd35','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(705,'2b7b03dcfd4b50df4330cd9291d2e09f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(706,'61cacb655f8a923702c94e93bc1d9957','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(707,'34f46a08f52fa5619b864934875e6e9d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(708,'b1812cd0c204138f160734426955f999','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(709,'fd085c40f513567f48417960b5b23009','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(710,'20d0a554453ef19b00ab1b63cb79850d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(711,'5848236c174d5edc82e5825f0e127fc8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(712,'a630001497a38ab63b1a171685a70cd9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(713,'95e664ae7788b8f73cddf078ef33a4c7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(714,'801855b8f46f48b474b30da5c7da0650','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(715,'f8ad58caf89b693ff8d8f0c0ad89ed84','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(716,'83467eea28df8de18f3b6b8c2ee9b5db','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(717,'600c909c9c41030ba83e75ce45b4bde7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(718,'fb23da43fddb1a038a93b70e2bb83058','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(719,'8c10598b71b682d32a5c7fd876c21ec6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(720,'9f64de70d8d442711971571f4f8be06e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(721,'ed98cee9a5ff2862e4914bb7bf9f1bd2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(722,'f10b05fd4a298da643490a90331ba406','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(723,'7373907654a6bd65895303b05a4a9256','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(724,'5cf8d321dc659608758aeda0d65f032b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(725,'787db1961f4478527396d799f8069755','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(726,'8723699f2b51ad072783d71ce1ba2d77','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(727,'121744bebcbc6560cd07ac81d616f095','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(728,'d49be2485d08ea714167995a71c5ece2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(729,'ce90b709f1c9ac96a010f4a8fba20ae3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(730,'a70fda25797bccc18b97dc3248d5bff1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(731,'f31965996df59fa742104470caad8ba6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(732,'77dfd9258fecc5395a1e77a387652245','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(733,'956cdf633c54c0da34ca37ef41982ef9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(734,'baa050c16a7428f02c46603111a22749','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(735,'03251e18944739ad4d3e68f5760e96a5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(736,'1f08d0ee5ec213ea989e4763002716c0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(737,'dde5a2e91093adc49d527edaad43dc88','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(738,'5b1581bece59cc879527bc67f38540b1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(739,'82283d9535b0038d13e73e0613c49b5d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(740,'581ab3cb63b65554ca53b2eee2ee1f81','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(741,'e53a5abd3365b71a62923cc9fc75b0b3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(742,'38199dda471d72f3e934dd218b484e1e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(743,'cd8afad46e7ad3d29731d5e5c868b973','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(744,'6023550aef5cbf6a0062fcfe56cf4853','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(745,'31e073ae5f4d5323b7e132500c717f62','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(746,'f30a0493f23e14b25ac71900f1d1f35b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(747,'2efd8b38f06c69319f01cf30f079fdeb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(748,'f7de2878d72d1cd91d6775c7ebaba81c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(749,'4ad188681b87d5074fa76ba0f2ac1f26','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(750,'844fb9a745359dd72e97e6dd08588ae0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(751,'6d6ed485b93e741081b3f6f0c6e7d3b7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(752,'754e173ab95144a186dcd288896887b5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(753,'cf9dba657c559789f178b973b31a01db','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(754,'3cc8fce3c4894678bf63b695523eb2cc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(755,'a03561390424ef683177d16bf5043551','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(756,'8c5c9d0096ed27019ddeefe932acc116','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(757,'e7b9fab287cd89f05820bf750323efe3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(758,'d3807308c511bbfaded1d466711adeda','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(759,'4a3a6e62083a2f4029be2e8a1937f981','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(760,'e5f4f9b803dac6ead4a6642dd33fe63b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(761,'8dd329d9398030cf7e62e10cc68044cd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(762,'219ba0a4cf30dce5ffadbfa4e4b1eb6c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(763,'afe952763c08c79e2cba33a6da514e0b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(764,'9c628faa89ee84046ae3ce6322e9e60e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(765,'02aa2c32f6e9bec64f881c7d87211959','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(766,'e4f734a494d74d3674e7da60b5ee1421','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(767,'cd06cf0cba12addc272b5e11a0767597','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(768,'6d6fb67cda2bf4789bb8f11e647e3703','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(769,'57536e182d8fd4cd23d08446d0c2fe7a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(770,'3ddf4e5bc0ecceb99c6f25a68020372d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(771,'f12b5e55ed6d2e7bf9b0797f2cc94216','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(772,'fe248cea34ffc0452a6cfad1bef08fb4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(773,'7a963d391094ab68f7671f7afc340555','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(774,'f0443672260236320cad6223c7fcd219','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(775,'d0ad05a38f3781d94bb7cca01889fe91','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(776,'15b9d9ef01a0273465ca14b68f804d53','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(777,'024b8a9af257a9d0946274f53d23d86c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(778,'1aeee124506c1403146e29e4931ea70a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(779,'c1ce483b9cd626d8a42d9e37405ea465','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(780,'02e6d9e1157fa6f0c16bdc06384b3a43','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(781,'0e7e3ad33141050dee7f10a5cafe4b1d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(782,'9c4a03a75ce8affca13c87abca60a8dc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(783,'38f283b83f8e7373d411474e884a7894','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(784,'bf79b27a4913250d9aa50a01cc5b2a34','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(785,'d65d3540bc67f89281c72a5340b007fe','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(786,'75380b9fffba5fcd40f5aa9807e25c1f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(787,'84e1ca15d90f23752ecbc65bc74deb4f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(788,'b61c2b1d575a029fadf0de6bb1e60654','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(789,'09b53d446b0733fe0929572ccba879da','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(790,'db7f2f42fa839f3fc3c95727b1d968a2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(791,'95451b4804b7e345b454c4f3c262052f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(792,'bdd9a4dbc66122b61a9ecb1477618ef4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(793,'a1a1cc27a815ee861c42074c53431bdc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(794,'a53ae17564fd17edaa843a27fe433595','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(795,'265cc12a9c058234ed12e2958e0ca0d7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(796,'5000ece7dc290dc4c94340cc2024cc7e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(797,'91191cee25b76fdc604b229e9e822a9b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(798,'6101a23cd7ab230695b4b7846730946e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(799,'d7a4b0d6494aadf446e1c41b2a23daee','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(800,'cd4a02b1c87b9e34dd4ae1b666d45d2e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(801,'000bad0c0bbf69474ca7b43888699bdb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(802,'b0a114237f662157f4ab29e28b0b266f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(803,'abb4e8bcc6033dd9cd65d4224ceea6f3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(804,'80b32435d8c1fb489667eb0554631d59','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(805,'dc8a1d42916deccd737e50f1a0f6d310','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(806,'e306b583d8b02138fe59ebba0549096d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(807,'75a29ee5837ff1014fc5e3d99d33ffd5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(808,'c845fd9f88a228778468fc8e48d029b9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(809,'52ef1c56fcec0dfac3e842361f36a5c0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(810,'d370facc47e883f07a89774350fd2e08','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(811,'f3de0a1549eb8c642f02acd166d07df1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(812,'15fa7d95417663cc36ffcb5e8cda9fad','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(813,'34dc7089996bfd81649ac1333b33f0d8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(814,'84670a8b85f9ff26c188ecb0d5d2f899','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(815,'f08fe244614fe7537a57a710945cc2d8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(816,'b3424c97cdfea4870338b5e7bb2284c4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(817,'ad7f7be9503c3fcf0a8c20c59405e30c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(818,'e4d5bcd278415c14610069da353f7989','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(819,'c32a25991a297cc9e9437a6c45a044df','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(820,'16def502f301cdf5e5420de4966777bb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(821,'f201e91d2c2efba318805ecf059a69b1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(822,'d9bf9c583878aff5e6ab38687dd9cbac','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(823,'7534d1f46fccd01174746ffbcedb3903','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(824,'f9c109e100f8197e0c6bc51e4ff3fa8c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(825,'b2b5e83ba4b646c9114d3daa704d9189','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(826,'3c27be51c1e59ee670d022fbd2dbbd52','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(827,'d1657336a4592b7ab7cc6c1c2dbe2d61','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(828,'670d62462d47b9680e4c9dae60709aa7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(829,'ad336ac59ec623e6ce61e72dc59323cb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(830,'ed0c4fab7362224e9ace339ba5728f6d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(831,'5f350b7ccb269c0fa07cb72d379aeb95','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(832,'0439769eddd8a95f1e91ebcc4bd47b3e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(833,'ec6aca3a7a0a9d33a611f1049f930f7e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(834,'9cb272b08490ea3fa22e7809800b123b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(835,'cac09baec6bdc0c03d268b709b6ab6fd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(836,'28ade1c473cdb25561de1ed7206eefe3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(837,'bbe31b9eaf1e4a024ccae5c6d5c6f238','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(838,'495fc551b117343765edfd8d5c1a540d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(839,'4833e83d0428c1160ca5fdf05c22ab6f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(840,'64732b9b0312caae9b78a601a957e62d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(841,'aafce473e4d8e90d6f08a5a51f4e05f6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(842,'eb85fe59080e88b3d7aaef9c6319b065','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(843,'f9030cfafe97eaa39fecc97347835acc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(844,'76cef4dd4dc104b0d90d29baa56df584','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(845,'caee1379aa52deba25109b6f7c5fa343','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(846,'bb6a6e14927454d3cf0b4b36080111fd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(847,'82a535873385a594143bd874ade982bb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(848,'bd203d893a2ac2d97431319a9903290b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(849,'d16ee73b353aac13a9b2fec090af7c1c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(850,'5e9b5af0aa685efb975c947e9fc5224a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(851,'56da4bf9937b50290103934deab22b1d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(852,'ed4838152b97f1a4abdb51ce2188e9e4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(853,'372ba9c3c092a2f3fcb52e4a1460d21d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(854,'0f9c3ed892aa2ca0bceba0c6d7efb09f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(855,'d54a81bbe1c2b1c4233a782fcd3422cd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(856,'b22191b9fe8d9ba22b753766ba43f9e2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(857,'7805163d03f28d6a2355b362262cb79e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(858,'2ea92d347a21aa855605dceebc1c3960','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(859,'1dafbdf9651ff8834dac19d78842a20a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(860,'8ac26ca0ee602da2036d18d33076474d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(861,'cbaee8ae922a7152c7a93c4a8746cd26','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(862,'82f41ce601bf1af7e409fc00cf88ad16','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(863,'0f872d97a5d5d6024fb6f65f9278e187','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(864,'d5e7c0cbc1efbf9225ba0897614fc39a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(865,'8ba9178c4e1a4ff754b7a77c1e5fbba6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(866,'ae9ece5eb64fca732edd57bb135a441c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(867,'87a5eae575cfcd4505d344d9a9800c66','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(868,'6e6e4c469875d29becf98314ece53aad','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(869,'e69760083cdcfaed396b799a2e86463a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(870,'30b3c70be02c79ce4f25eaee993c964f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(871,'ec93e437510b4254db5d4987cb4236d8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(872,'ae2495b0c2400e683b18bf542cae62fb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(873,'c62edaf3aae2bc015f5be1a213dbd8ec','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(874,'a0bd6d291d90809439cdb41a591ae6e2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(875,'446e8c2a309253ba6bb4fa1f8254cf20','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(876,'95c26dff17c21fac3a76cd0e5f861a5d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(877,'81f99de0f655a1f6e68225786c0ab0b9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(878,'b088b832ce7229c6816303a15e309e51','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(879,'cad97d2c1d99e398808ecc8ac29ad22e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(880,'9f599a4285060becba22efb5c2783531','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(881,'78bb7c0bfa7d295cdf3299b1dc070348','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(882,'edd9bf5f37c7cbf75a1461ac1a7a4147','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(883,'11cec12a821c392cbf31cffe9fbf1214','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(884,'3c17d8a2c6d58f91afd522d1cc775503','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(885,'6f5babfe95d0ab080d28bef7c257aa77','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(886,'f9336d621c6cfa7037eafc44560235c8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(887,'b6be97ec13cc718c8abc01c1e7bb110a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(888,'72a3bfb0b337eac3d5c1c7781f3a5cb3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(889,'a7c91bef5bec2c9b3caa936e64139318','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(890,'3777b3484c97e1137f3e4c012ae12a54','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(891,'e0a859ded0b4003be9938c7c9168b40a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(892,'703b9a3570a79d0e0e9af6d26b0973b6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(893,'1f48aa7d544f448a8b6fbee4550281ea','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(894,'9ad989fe1521f3a97cbf6facb45ea349','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(895,'5f7d5a79a8306537784c27107c80a659','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(896,'c2dc0a98eadafa371b4b62db5e430b7d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(897,'d303389a72688326ceb956d6566c86fe','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(898,'f5f251f54b4629721e7824694f4a799e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(899,'b1a4e866d9fb2968523299b8f34f9499','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(900,'ad0c4dd02e5173fe4f713283144b9b4f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(901,'e6024c5941a6f0a1687fee12acbc0251','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(902,'d4b6174f44b9fb051ff6a40901b91db4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(903,'5961ac343310564e5a94965f0a806cfc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(904,'b7f5852fe3ab345e2ce3a44f883d4f31','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(905,'5a4846eba3f5a844b6a81bf6e3597e94','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(906,'b9418ad84761514a8e875e4608c7698d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(907,'de79904b89aea2a0e8950c2a36f349cf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(908,'fb8d8791d78ed57e0845877a6935f37d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(909,'03ffe3a1454f93c790ba41c6e51f74c5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(910,'3af3409467ecc8ded8137ca2b7b8ee9f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(911,'b6da55c155cfe9360cd734a695d2cd7c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(912,'2cbef063df529cb494f2f3766aec6c02','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(913,'c7313f358e86e74c595629c557ff1d0d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(914,'ac566d46a5617f97d0cc03b6114ba6f8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(915,'986519706d6add0b65d9f98ea047cc82','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(916,'8c93f81544b707ac572f3a4159ef4093','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(917,'12aa64532a21d327096a24063ff684ce','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(918,'1dfe18cd101c37793cd5392d8c6647b9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(919,'3b1b62a982cd9b6c886193e29c469e62','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(920,'d37d684cd97e3e1861c646770b050fbc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(921,'29fad5ac2092bbc6a30ee203317a6492','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(922,'ec93d7b8aa8a3a15ff395cd333418b63','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(923,'e61a7ea2665389092546864466b7f72d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(924,'5f170116ffc5fc1cb371fba8ed46c60f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(925,'0c2bf7ad4d6507b967d7f901c052776b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(926,'70c1ebc421e4c24d86bfec98136efd8c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(927,'985c992464c5fee728660751ea240916','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(928,'66b550307ede05844157a305d34fdec3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(929,'0fb80c0235adef15281a00f7ae33def6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(930,'7e57a55218bf2eb707aa94fa3b08af99','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(931,'5d9e51b95fca018604e3be44cab34b33','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(932,'92969e65c1b0da3a40a6b59da49a9925','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(933,'5e59c6019ba935d4c13bdd29b3e1c129','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(934,'84f831cef5792fca75c814d19df2a643','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(935,'558602d950182e1d5e28e707549ee6c7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(936,'fbd855daf2e77732cd309448d2c3312d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(937,'afacc302056a71adc252551619f7889c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(938,'a843c268ff23929a91bb89656f08cd94','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(939,'4d5ddff2f5e6ba291fe5b9b57379bce9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(940,'0aca3a0ade91bdc8fa7090db7abda44a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(941,'e38bb34df1074e3500e2e111cbc395cb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(942,'9b8b76b99bec1206b1751aafd19b7eea','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(943,'61682b40d2df4004576eb12334121071','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(944,'b0d1b6e5ab7dd364d91136052a0cba56','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(945,'b3fa1db0d02aaaffa0515980d1d4bca8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(946,'3322542289d5f740c6ae6bf8aaf7567a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(947,'ae6a04b24be7f39767ed5ac1bd13cd45','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(948,'cb3d44f27aa3ade67c01c786e4075789','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(949,'685745df7c8a061836b6c91ebffd018e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(950,'f5fcd750fbf6a18124bb6d5f992c35e3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(951,'ee2a7e3027f18317aac7bfdf58ecf4af','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(952,'21a70e316cdfbe057a9bb10db01d2ac6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(953,'70efeb010eae4a6a29149cd1b8a89c8c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(954,'2b6ed0698c2f3b7d16e7b8f49b08102d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(955,'6c31e582045dbf67cdfd6af6fbc39147','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(956,'ce44beb0fcff6780b042e99798071585','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(957,'c3ac4b0d71f074e64f8a21fdd86a5e24','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(958,'2045ad384ffcec22347d32b4586b935e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(959,'8e6366a82c894019bbee3e5ce98dfdbd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(960,'0b3a34feda2ee0f763a4e1bdc86e8e91','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(961,'30c981562be0dd4b82fe0aa6c2324844','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(962,'025fb01ac21fe54b20e061e7cd3afd1f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(963,'2bec7a40ecba4f76973344a37e302704','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(964,'039a686017759a93afda546dafbf2a19','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(965,'65e68f5cc0f33327443db4cb3cf4ca31','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(966,'154ea5bf10ee9c350c521514a5d40460','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(967,'250e5d15f1ad8f87423caecf406c6c5d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(968,'14189fa36ccd876f51d5dc34c3056b85','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(969,'a5a9fc3124fe933867c8974020bd20f1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(970,'f0b7d9b797559d7d99c98f9628d2ddcc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(971,'4749ae7d2101fcb37c38837782d53eb9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(972,'0e902481d9dc57f8475e49693f450446','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(973,'1237537611f998bf348acc77547108d7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(974,'790aecc31631640acbc57a9446f8455d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(975,'a6830790b92796d924f0b2b369ef1d28','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(976,'4c6388537d6e2d7221eebca1d26c5701','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(977,'a5fe0e82956db036f12d3cfcb19a6041','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(978,'2d5aefb0acf1c2f571f1e54906ef8cd1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(979,'a855cdd115b21587456976b35614ba6f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(980,'b96abc3c7e88d3a075fb1652213fe701','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(981,'8ccc0fd86824ec25ff493eb5e8ad300e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(982,'45f79654004c25360f2db892211c7916','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(983,'4eb0cfbf8cc41bf394a1ec00fd6566a5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(984,'19bfeaacc8c85bf8355cf6dce1df9319','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(985,'7dc429e227d38ded2e6ceace3da51b69','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(986,'a780a93c941461aec02d600e8d2e01fd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(987,'12d8ced198d37a700cfcc5fa9e160f05','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(988,'562a0c1422bf389a678499a679573829','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(989,'42274b3c5c356053130fb1466ff23d93','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(990,'e884ac6afe5df226edf6f7b99eb431b4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(991,'d45c9071c2efbbe883f2680d080bf7a5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(992,'400c1f0fbc56d2f5364689c7df8f86d9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(993,'56b3e34c2edb2dfae804eb39d2fd5977','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(994,'63f4e267793a2529d324aaf4b780ae81','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(995,'c2820b619fa06e7f2adc657281bec34e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(996,'5725adfd24fcfae1bf213984d1a2c591','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(997,'11615c614fe4f8b9fe80bbb3356b7c5b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(998,'a9944ddd7a0e479f0c5130c46a4880a0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(999,'e1fbfac14530c2c7ce1ea06c93e5aabb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1000,'0bf8629b174c22687ee0a85deb51673b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1001,'716ea3983e9b57a3c08be029d67ee195','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1002,'4bf87eded67f372080852fc3b21ad021','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1003,'4cb2aab85163a36db0f4d4189ec757c6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1004,'10fa50ee58045e6c3e75af30a63e7291','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1005,'4cb9d47152eebe2c8d6159cc201ec663','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1006,'8981b2a86cd5575fc566323e1b87b85d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1007,'194f07bcb95c81553cae88a26503d524','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1008,'6f9885d982d0760dc8c6d3862a1376f9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1009,'9e9ff8b88aa24561aeff88641654f565','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1010,'d95982507761c9666c8e63775c79ec0e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1011,'d1ca501d352743b22202cef2d9990924','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1012,'e1f2b3175e9b26705d7e68cc16f7d87e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1013,'380cda01169ba3c1265fd46cc4cc65bd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1014,'2947384e31adbc6fee65d4cdf8c63aca','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1015,'e1a5a247b411d789f162756f64fb0e2d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1016,'bc2e6de120a0281c5c0a2640a0c0d638','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1017,'d1f06b5203e068d8cf7bc63330cd2160','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1018,'fbe2f1812bdfc7ccb28f654aabcf2eab','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1019,'4d9da08e2472083e68df53f4bc0e4c6d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1020,'cb958b6b0d76192b9a1c78151f51df89','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1021,'e833abcbb26388f0b83d854c6acf25f6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1022,'21c3e0c8e110a1bee6a9c76adf5e8a0e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1023,'288224cf7bbaf14b564dd43a1940929c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1024,'500dc12ba5a1107a781c662ee9abe76d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1025,'9072dfb869f21bdd374a94edfbc2d583','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1026,'edf954c3a926e319797652f911bc8583','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1027,'915ea1b44a50805cd035c446a80cc6d0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1028,'2aabcec355ab5f10217398679f1df65d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1029,'3ca2cb9f289a012da5d837c2cf8ce78a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1030,'60e4d1d2b3e9d0bf200a20dd38520575','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1031,'8410a2df69ad05ba54eb61af4a24efd4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1032,'59ac04275aefd08c5564a34a88c220ff','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1033,'a166dabeec3a10810dcf9f3b4f50ea56','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1034,'6d5c6e2f6b28005272be6bd1ea723142','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1035,'59ea31f7e0a89d3b443bc7fb6dd23fd8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1036,'be2c55cb6576ea24a4aed6ce39c04a32','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1037,'1532b214a0fa7df5677a69b45e523acf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1038,'c9f3e8aef5244d7dd3007eb4b927c98b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1039,'43df79b3899969855f4dd8aaa13c5b57','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1040,'4fafc120b61e2ce7d4eb57b0a902b39c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1041,'e0e12d2cbf0a461d56771c9f3137baab','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1042,'532b11019ecdc8ee29b0d08fc46e4fe3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1043,'cdf15017f1ab3ac34b7ee741a7d1ad7a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1044,'a0efe0014097371328e9fd7e9305f904','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1045,'849239e35266c03e18f481accd5bad7b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1046,'a7a01d4b9a3d57140ff7a444390ec9e8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1047,'9992f591810f47e1fd1946236d55c588','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1048,'cace0d3ddad396eed5acb215abc5dd1d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1049,'14b33d2ce185987db02eeb4790d617a8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1050,'a4cc116af8024d35fbadfe6b655b5b64','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1051,'48e4e0fa751a3ec36bebd67f969a9112','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1052,'9370478aaec1c0172b09f2ecf869066a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1053,'9febf93f16e2d859a4ecd36f7283fa83','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1054,'1460ab90cab624f66a8f82dca9580498','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1055,'ca3eb2f92c42c7689f95bfc047383a86','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1056,'64a9f2a9181d31eaf95b48f492aba54c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1057,'b98ef76012ac73af5cedfbfe1a79aecd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1058,'6e87a6dd8a2235d8403e34f89cb96061','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1059,'e1d500c3f3ceb995090cb7fc2f372654','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1060,'485c2f8d6b795e1839e27d755d7284b1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1061,'4f382bfd2cfff9c7f0c70e6599f31a86','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1062,'016b792ad98a4427d673e1f17c493588','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1063,'ef183bffe3862b62202ba817fefba3e7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1064,'641d2efbb2bcfad10aee39feb3208f17','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1065,'6d460890b4defe80754c1d9d3ceafad6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1066,'600b51be56ff183e2f94485468005d1a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1067,'1d8daeb747e9e29b454f9833cf13522c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1068,'2c0d1237d3c5fcdd06ee5caf66a84be0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1069,'5fdd0270decff3bf411258ace7d5c74e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1070,'95c6b86dcf4fdc69ddf15ea058b79dfb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1071,'26682fe1b4323e545f20c1c50b0b9c75','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1072,'5038ce8678545e70fe0465c71435754c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1073,'a67742d3efd1e0c5d5bb05c01ffffb30','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1074,'41b3cc178471177db9f0647b918b6388','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1075,'26769a515272deef231013f813f54a98','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1076,'dc6680df5e5b8749084d9a6cf0aaf642','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1077,'1c21d9aa5ef5e804266602f695a9e0b7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1078,'da9a5b79c66d44c9ccd4d5151684a92a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1079,'df8ad5a4f108d1babb4037d98f78e068','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1080,'4904c1f250010208a6306c5f894cee63','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1081,'566d7cbd43eaeab16cf32e5be35f6918','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1082,'738645bc9182f1bdf9951369f6494e40','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1083,'4e7eaf7d01aa581917119097984f04e4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1084,'4475e1f30c8afe60f0c8bd807cadafe9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1085,'baa5b68b4d8c88c9540cc55fdc44951d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1086,'e1ebf1d778e212790080459b58ad9f1d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1087,'6ca242a0555119c9b3dbb524c54bd0e7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1088,'8b74e929a638142ab5a572585fe44e59','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1089,'397522f874cdaf958271e0a625ddb27a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1090,'4ae273f92cada02930559477718eac5b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1091,'f964897986d6b0066e880d83fc0fe049','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1092,'27a24749575a5d54a0a0247b6dae26ec','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1093,'8312c5da02a9d5099aacc91583a45eb8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1094,'2f652466ce065f29f68730fb299893df','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1095,'7f38e6c100894471240afc76715125e6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1096,'17c277382237b537836b3493065c190b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1097,'e0a4492b1722d885aaa22259dffc1a9b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1098,'1f30816f75ad5b6dfeb1bd68f4f737a8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1099,'2de661514319492b6e39f2acf3156b7b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1100,'2580440f75859f08cbb430b199d06dbf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1101,'8fc4cfa609a7baefc7b641bc0c308334','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1102,'da9c2cc7f81224e7396635521da0a55c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1103,'6f37be66e5dabf8e06b6cb6f0a352345','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1104,'313cdebce1845149552b131ce995a1bd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1105,'e4d400c7490ff00d5fe096e2f9dd9fb6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1106,'663ce36b69e7ba37f1c2e8dc546b68f4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1107,'1c3d5c379fc52dcc90efb26c299c18d1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1108,'78bdeacf9fe9423a137dbd5b289659d3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1109,'ee3797120a70cc8196ced72b082e8bc2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1110,'4e0fc31f5adfc6623c4f074057b5df97','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1111,'04bb7d2ba481d23f66f3342e9ce72e08','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1112,'d4d53ec5e8fc45639bd85aa731966c83','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1113,'4d215f0899217d965cf97c0242ef0dd4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1114,'909b6b0cb205164e8beb25fafb586a05','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1115,'b73a404033c4c76832178537110f7742','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1116,'1d1278cce3620a9fc59e01e32df13048','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1117,'2ba78ef40de0741ce7e44b229cfe769e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1118,'0be131159570b419d97472d7d730f6eb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1119,'a799b907f5621b127d42011ed19d1680','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1120,'63a42c21e450af4d09640efce540d049','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1121,'f5b422dc39599d57a111342bb6feebcb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1122,'5d555fd74af4d744e34a61f41a2dc79b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1123,'315dd69814effa78c876ab0f87d62349','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1124,'512a3ad6eba5896fd81dd621e67ebb54','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1125,'9639dbd40a48e30e6ec473a921ded925','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1126,'b40cbea20b478c93021c78b3d65428a5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1127,'f12664b4f133fd0c6818420fad06e804','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1128,'d17e9abb1d6995f6ded29f07482f20f9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1129,'811423ecafa702cdb27dedbd2cf089bb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1130,'0a9011c93987092e77df1e2dc130157b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1131,'ff94834fef4905bd4f410fdc15e86448','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1132,'f136c8aeda8b736cb3281004de37ccfe','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1133,'c6be03cdc7b4922967407a45b23d5ce2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1134,'a0f3aa9d4e4672d5d3a7cb0618669083','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1135,'74c3e21598335ff1a55346db68aba60c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1136,'6af4f0caa3912244a9b02fe2d8798442','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1137,'306f902d8b16678640b11ef763fbb797','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1138,'ee32a3dec91292048e6443c6175349e9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1139,'d75ad561b88ef654dae7efa9ce99cbbd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1140,'eedb8c1b1687c7116d8ce812ccfe88fa','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1141,'20e7ca7cc1eb43ec4db8550b6f5524ea','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1142,'5220caf75fdbe9434cef904f91a80e08','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1143,'dd73be20966ea1bbc46c79543a3cf2a9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1144,'1644de26b5ed985dc2cd94bfa3ff9b13','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1145,'97074fefa20df22cba48dc51e2713dc6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1146,'c144f80d140b3f432e9608a5eecaf7ac','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1147,'e202e18cc14075d51ff23101a46982a7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1148,'e89959b225250751c361f88b15395a5f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1149,'e74ddd3acbab4fdc67c4afb215f59c4e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1150,'d948724fe2c05c98aa62f634455e2e4f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1151,'074402fc4318b1f2d9d9c45e1b7ed9ce','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1152,'9e11cf4ee4fa696dc9468f7bbb42f53c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1153,'dac10a1911ab884e667861f8c15c2394','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1154,'b660beec413e74098d209aa98533086e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1155,'aa0f6cd15e363f203eb113387c462479','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1156,'56176f972739f31b0e3ac038bd6c12bd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1157,'faf35a467c66280b4f926469a4473efb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1158,'36998083c6e9ce52eaa7490ea5c5cc53','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1159,'588c14ea3724153310a7ec4271aa7df6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1160,'7180852aec430ae7b57ded7fa9b5d3de','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1161,'0f79ce3ab9a1d1d7b689c5bb484ddbea','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1162,'f5a1a6ea76bd967ba863d16117b85f3f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1163,'cdeee6c7b3539e60c3468a17ed85a0cb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1164,'c25e5c36689b18a3e9536883b5cc737c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1165,'b2edcf1519439a21ee854d3196ffd3f1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1166,'380b70035332d6054caef0e84d087a70','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1167,'14d07862d5ff1a17d0ed20613d8602ec','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1168,'8778f279770cae4ba0b1248e06df1777','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1169,'f767043bf2c0aa0562707f9969765f43','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1170,'57b9e63f1361ae1d7954dc1c3d5a588d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1171,'73cf7aed60d421aee8879a911da11e58','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1172,'7096e210214f3a9f1a17bacfd9874283','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1173,'003008cb320c80bcfbd5b6c9ab445c3a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1174,'72a809d8c7e6dd86fe9ce070b4512a27','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1175,'54a3448197aae78defc3fcf5a4091a36','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1176,'c732a36ce031866ec41ddf6d06c60c8a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1177,'47efd08f55748af9c9296e42c0dcdb74','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1178,'120d82cce5096c3ecb27fb989bf27cd0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1179,'810ae9bad7e23cca1b295b66212f26cf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1180,'f86bcc910f50f36e040c5ccfdd58f08e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1181,'c08e28cd46ca95547da780f4fa40129a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1182,'9cb82d2b18c0cd35d6a157ca6dc45b47','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1183,'c17ec47ee6e2ed73cc58e5e83921fe12','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1184,'72daa86f12cc5e10c0fc71563ef41344','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1185,'89d6f33beb87e57a284e69b2e2047fb0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1186,'2b26eae253bd96949cc927c3e3015cde','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1187,'85d00056ce64c11370eca7f413a5f6bc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1188,'a4d181d11d6121650d1c94d117d6b115','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1189,'048802176af9db269377dd6f6388f1a1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1190,'b1f1259bd7850612c2be367c63a463b3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1191,'5683ca801537134d8453ec311a841a23','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1192,'0b3178096b1f1cc39caba6c5b85a4942','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1193,'ffb10d106d91e03087f051e8147b705c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1194,'41ea49dc49c5628797fb8b6dedd6a173','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1195,'74f11e39c8cf8d20aad53fdf300ce3c9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1196,'ae6dd14a2864a7d9bd6bffda093dfbef','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1197,'ea93ce19ec5e9018f9f27c032f12a5db','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1198,'a0cfffff23feffa5b5652d9606576e75','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1199,'1e3fae16c91a2ede3dcaedb28842f000','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1200,'50a7bf15bcbd6cb71aac1837ec3b2eb0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1201,'9af98ae9178ed46dd43a516dde2efd5d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1202,'7a27f41e3f713351aabdf5c302f0d453','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1203,'38243c6d64e37adad4d13b9875065a58','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1204,'fc9d36684baacc07fb600de7728fe623','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1205,'0353c68a49fbe45a70e95a8a0fdffe8b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1206,'97b4e1a38d304eadb602d3fa026a9b2a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1207,'a71f185469f6c8bdcc67de9d1e18f0c5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1208,'97eaa9fa4f25863da562163de958696a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1209,'d9120ca5bfdb28c33ca6eabcb02f7e75','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1210,'aa3481f3ffda9c55bb5b77e49385eb64','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1211,'e69c92804dedea1bcbb6e18e85a192e3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1212,'d9e0636ce7d81b83e2390e1fcf90a944','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1213,'4d49437e2c7de1e1dce9bddc3c5e3da5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1214,'68b18cd5445074b79c1f1d239ad074f1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1215,'e0a5073a462daad8846ecd8019eb943e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1216,'4887dead854873e7b8270311c3d0b00d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1217,'199dd46e65b1cec04c4081af027659dd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1218,'f100a21aa76d4e697a9ddcfd6d955679','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1219,'6bcc363ac43efcbb45286376ae5da713','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1220,'0e88d94b0cf2feccd27e9f34ca780692','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1221,'5f74789f6afff9e0db63a28c9242791d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1222,'b9096a3251a1c8fa946a03fa0fd908bd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1223,'1d08c8e5a2024ec6a4d5884c3e844071','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1224,'d3aa7deed165d073a2f4cde172e3fdd7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1225,'b9a74a4ef7699f4cbdea75534260ad19','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1226,'aff58c69f3c143467a629697d910e479','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1227,'efb4129b6f81c1ab91cb5d9d8aee95c2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1228,'96dda9ad35005084d740c09f4cc8b2c3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1229,'580b4ee64f692c95501b32f08a208faa','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1230,'3d3e5d2dffa1759de5953173258eddd2','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1231,'62302fa95c8a5d9bf76181cfc3b08f0a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1232,'681778426226dee9a6485c43df15d694','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1233,'a86453b1feceb52be12ed9a25bad3da9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1234,'dc9e30286dbc170f9d6ae58e22fc3348','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1235,'7d432e4c530196704dbd125ccaf27fd7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1236,'1577e00b2517b426605d8cd3a3f7d0f9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1237,'c8aeb422384ef875597409f2dcbdce67','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1238,'264c38ff6599d65aa267be54f6dde87e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1239,'7505f6f8369574bcf4a2036c87e4d277','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1240,'192f3419fbe280f19d2ed793a039c33f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1241,'e94ce5da1be44e5edab9ee121624fe59','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1242,'4c6ebe6417ca23213fdb6890f6562196','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1243,'d8b5e97aa093087e1e6296645202264c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1244,'a70052e1462c6268e79f1b94bd60a089','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1245,'cee31b3cbe12ad6f421e4f991771ceb8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1246,'459d16b2e5699eadfcbbc488ef500b2e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1247,'6df1fa71555b5341e04cf58511835e4a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1248,'e902e8152a65599188d08e6097e6b34f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1249,'c8cbf911083f047ac25d1bd0fe3360b7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1250,'0cb124ce1f76abdbdc3812b99c64b9ee','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1251,'49d15f5dff20f3c3ba97e01d7dea6e48','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1252,'4a092319f8e04bc7a47924930d1db3a3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1253,'8345f2e8946a3d7eb4e55c9ca010cbec','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1254,'798e0128b5cee4d3fcfad16436ae464a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1255,'98e7653573071f42c3bc2d6236435888','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1256,'ade8e1847cc4327ef0c681054a6a3a5b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1257,'ef26e694e9d24a2a70f2313ff4184029','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1258,'bd91b275ccbffc0e01352f2425033f84','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1259,'49eab911464f02a054fad69d6c2814ba','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1260,'ab6ec8750acf59ca02c49dcba5fd06bd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1261,'dc73532b870777e73365c8941555303c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1262,'b5feee64b1f9ea50ed3d0284afdb1a22','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1263,'b0759b4c76c4bcf85674b1151543e0b7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1264,'cbbbd76387ae8d30a7ddb5c3db7f9f88','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1265,'74717e603960cb68a50d99e46dd55915','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1266,'6d39846e82f5a9efb351bb1666764f3d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1267,'01cff89736b3e17f83e592739b627e4e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1268,'74adb55d886a461419287bc4a7c9d40c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1269,'519e45bd67bec3e19f1e73a3ed8b5d66','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1270,'5ef60146aed9dd4b3648bca946cac118','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1271,'3d890e9b1bb9b40a39425d83cede740e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1272,'47f56c1b8f7c50de90d894601f3fc9fe','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1273,'0a1f55386ab302816ec95cebd3d3fb89','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1274,'2870d85cfc234a0259672673d2f48d7b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1275,'6ccd175fa69fdf19672e98cf684829b5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1276,'038cf22d1b1ad87e6564b77f379b4305','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1277,'956f893d609e2ce6305f91cc4cafa024','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1278,'2b08e3a21771c690a61c0736ea1631f7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1279,'3de34ffbe223c337e04bc7f0c6c132d3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1280,'54ddced789cd42762779c3967c0fbfbc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1281,'9779dd3053af35c1d41e9e79ab31519b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1282,'fa6d88e9f5e6f7378a0fc2d88d13e13e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1283,'9cb1d6b09908eb083aa65c8df163f76c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1284,'1f3d4b923bc8374fb2a91f535b403a31','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1285,'bf9f05b487eb2f6c559b2ca0570767b9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1286,'832cd9ec668e6efbc91edb36ad6564a1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1287,'3c2753ec47f844a926915e9beb2b508a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1288,'c503aaa174a76ee7e6754afecd50a9e4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1289,'d5a37f45da51d61e8f29e30c4efe3935','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1290,'398c3c58bf0cbb6a0fd035c1c3fbf71a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1291,'b31ccb2bf492b2e347dd33d674ff65b5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1292,'c00cefc89020b34512ef0b9a2a9b8a7c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1293,'4740a9c9de966b7bad717b7ba0ef513c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1294,'6f7fe63fc885229d9446a5288b902002','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1295,'7ed332b323dc525c0b3fb3cf90d7593e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1296,'3dca0d720ea34c52ab5389a9991ba3df','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1297,'05ee08281de8b37c1c307ef8b7a9c927','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1298,'536d0819f3da720f473b14619379e8c1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1299,'c000281236bf19d2976881143274a541','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1300,'68ca1c51530568814ec2a798fe55fef8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1301,'6f8ebd5256d5738415eda76e07a05050','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1302,'6d1d4def3da60e0a8beff0866eef858f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1303,'ad6067944e18b432cc400711da2e74f6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1304,'1f881f4b323e14b69adcdb6bf7a566f4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1305,'b916b2a22e351392dd90c4b9a756fb83','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1306,'b78621081d3bebd05eeee0ac7a5d615d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1307,'4d9b2e46e5e27d2d8d97691b87396941','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1308,'0b766731c773ce292cb36f0f0e36d36f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1309,'5c99cc2842b7f416c8f848263aef5717','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1310,'9fae525bcd1614be49a3df13ab643c22','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1311,'9b1673fe552784b3ca6787f5d6e8bbd0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1312,'452ea06757f45cbc0f16eb698c43bd23','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1313,'4d430223dc2c95fa031b00b9aa042924','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1314,'493576e4bf87a42a426fbeb050fe3d52','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1315,'3c99f356fe863bbfb2662a6c936480b5','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1316,'23a68d6713a7ff617de9e61d4c1534c0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1317,'3aa554adb770d3de1b747356c0db1435','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1318,'f8b737a9e984f5a55bdffe5528990a51','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1319,'c32c1018b1b76bb4d68d3b59fd7a432e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1320,'a1452cda6b96b798454574a65724f4df','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1321,'c34167ea5d0e3b918087797bcdddc0bd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1322,'cd869bf4f92c6f99a20b30fdbb4cc3d1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1323,'973b86b8dd02c1203f6a37911e212067','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1324,'24345c6483d9ec520b4ce9fd2fa55d64','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1325,'3c03b3673802a49958a647d5c1466e62','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1326,'2d8f691c8e6b8bbdd01617ac7a614c2b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1327,'7d2fdeec6daf490d02cdd8e3ef4e6acf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1328,'8df997e63b566349e74ae92b9bc444e3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1329,'52e41f4ed38d9424af058f1f8c95fbfa','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1330,'82b92acf893fd61fa651a333f10e688e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1331,'e7358f278f88eb78e4a5d8c4b15830c8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1332,'4d5ed4696a2e0709ad3754060eb25778','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1333,'743faefb7a642b257a8398e787ffcb45','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1334,'6196d3dfbecb879dd50725b1e49ebe8d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1335,'56fd09b402207b91f3d764fb1241a739','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1336,'a6ec73c35b794ac4e588422155dbeb12','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1337,'6f74254f190a3e74eccfe6add039a9d3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1338,'76257f88ad692b98de03f42c18af2450','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1339,'9c08e542827480aed4f28e2946cdd068','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1340,'52f2dae934926dfa14d2aca8202eb4bd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1341,'a629d28a1c2f0243b93e6ada2ac6abce','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1342,'8064155ad1b334121ba56b1bebdc368f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1343,'10de2045ff5f8fecf0502958bd03f6a0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1344,'4313053d5e5c62ac3832769bfb088918','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1345,'9bd8963dca7f871cf81ea39c952b3ba0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1346,'7750aef29ad9cbc8b0f821c7b852f8ff','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1347,'684c8700204aff7b39a5e9b8e526cbf9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1348,'fd18c07785c678575422238ad76b2ffc','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1349,'ffeba19a1e2a200cae99d9490e39d6fb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1350,'e4c45ed8625d80b480d6f20abc6667cb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1351,'ed6a76a02eae29a945bc271c1fbc3bee','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1352,'0978c7b4c8bee36dee878809799a021e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1353,'e0765bce8ef3c605345d1f19fb1f2cf3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1354,'e5b8a1186df8f6f4d949bdfd8152bc3b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1355,'4b20d3a795846afc3e43d7f8d69f8b67','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1356,'f4d0980548983bd2407ccf38007c8874','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1357,'6ad21ce5504b47c09da6b2014e976cd9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1358,'bc94e5b6ca877abdc41566ce260c1eb9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1359,'a4db7be2507f6b6f50f97e9aa45af7b1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1360,'5f3151da32b7a47f27d25cc572c57ced','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1361,'ceea57dbce7c9a311c26cab3f3507fbd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1362,'3ea26b3b2cb3e891f28da496ddd22f1e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1363,'be43cd53d886ea19adc80fb74ea1a9fe','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1364,'613f9a615f79f69b28f1887dba9f16c0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1365,'b066aeca55e058958c5a023c86854a50','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1366,'21d445e34f445d623477c35b0953a22c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1367,'19c01262f036e09c75f67ee40cc18ca4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1368,'6093f19476e244c4b2047aaf0cb8468f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1369,'fc24198d380764b810432c0caeeb8bc7','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1370,'06d04197d2e999a2de998534f22ee23c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1371,'a79ba58cee8a2189c7fb030572e55e73','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1372,'ea18b9afceca9ffaab582b797a0e40be','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1373,'1e4eb6d8acafa69f08a4a50ebb28b3be','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1374,'8717d107d0cfee74f7ba649d18a6c299','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1375,'def14a25d8614e4ef6d443e6979b1360','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1376,'d57b6a8c15e3d502d50d5ff1f4ab524b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1377,'37e7bb42042c3ab1cdf41ca2ffef9bfb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1378,'21a535527d3fe43c0b3f1924138ad3bf','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1379,'577cca4a61a56c030e19ac73a83f5311','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1380,'31158472db77da81c4a50c8981d7977d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1381,'b6628e63a1db84fcde28c2d054b733b6','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1382,'c6b5c74fe6118c8de2272ac47b8d66f3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1383,'4fca43c9a2f122852bf3f74fcaab42d1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1384,'75c496e51c69d0218dc6c90ad1d3fd0b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1385,'0d19ddc83500849667c04ebc6008c102','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1386,'f874179c64581f6f29615a37dae6c3f0','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1387,'b13168f0ea4700f1531439efced8f530','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1388,'25010ea561c193a04ca25afafdb3cebd','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1389,'08c20f0dd2dfbc188dee5688650f567c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1390,'c90ca9fd606374508cdd8ee9fcc1d15c','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1391,'76e304d5e28c967df1ab976b274ca45f','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1392,'94dc2cf78a3d1a42c7dc0191c01fb1ed','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1393,'4e32cf31d92bf1ebf381b967ef93ead9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1394,'a06b99f00952b0b257f7e944849e6745','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1395,'a9cbeddb3d81a36cf070941cb62d08e8','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1396,'7defb0fd6282b6e7bf7f8b0139a8ac9a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1397,'03310a730db8f41ea67419e8b7dea9bb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1398,'c08b1175caa1771273d28a9b288d8f05','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1399,'b4b5e3c04e1bff83e46d4d4fad51102e','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1400,'27382b56d8af7815af42ea017f1e518a','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1401,'2dced26303a35e5706540b1fd17bf607','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1402,'6bc3bc855d8528f6279e77537bdec9e1','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1403,'70ae6dc074ef22ca03226f2df4f2439d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1404,'5e59816bb186cef80fe410c369affd2b','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1405,'46d792e8332de24481ca175d57a46869','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1406,'8d24dbece6ba6b86e3c7d8ab46dc2c4d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1407,'433717b4a4198a202bad6789b28644a3','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1408,'6b84c07e323981e43b9ff68c902db5c9','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1409,'e7a9bf3f51edb42a4aad5986e1a33b5d','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1410,'98b384db0650e82043045db3a4d2dceb','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1411,'68ba611525d1022485cd04b734605489','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1412,'cbbb8f4a165cd243b0a69d80386b1022','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1413,'050255b5731db710b439c07553bd83fe','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1414,'178aa10ac742da7212a8b01acc1d5a31','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1415,'56a1dcfb5d76efb77c499cedda2f5eb4','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1416,'d934b161fe1797744785f1fa43ea76af','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1417,'220e20af9f0186b2aa307f42f1adf966','1',1,0,'',NULL,NULL,'2020-04-17 19:37:34'),(1418,'e3d888f15c482e1b2e88c6e17b8e50f1','1',1,0,'',NULL,NULL,'2020-04-17 19:41:35'),(1419,'3797a19dec3981530842c200c7544ef8','1',9999,0,'',NULL,NULL,'2020-04-17 20:13:39'),(1420,'3231bead112efd031618c5755986882a','1',9999,0,'',NULL,NULL,'2020-04-17 20:13:39'),(1421,'9b4a0938ab557ffc8fe374e11fb55862','1',9999,0,'',NULL,NULL,'2020-04-17 20:13:39'),(1422,'9b44436f80e1d6b99f043f71bac81db1','1',9999,0,'',NULL,NULL,'2020-04-17 20:13:39'),(1423,'2516d13f6457140b406a6705c9d6d6f8','1',9999,0,'',NULL,NULL,'2020-04-17 20:13:39'),(1424,'910f2dd704b74f10a88f503b20732b72','1',9999,0,'',NULL,NULL,'2020-04-17 20:13:39'),(1425,'e57cdc662d2f2770185ca13992356990','1',9999,0,'',NULL,NULL,'2020-04-17 20:13:39'),(1426,'bcc16f31a6664f8cf245079fffba7033','1',9999,0,'',NULL,NULL,'2020-04-17 20:13:39'),(1427,'c5ccd0ded8c11eac719f1dba650e86fa','1',9999,0,'',NULL,NULL,'2020-04-17 20:13:39'),(1428,'d54401598a526fb1d8a5c820b55e4dd6','1',9999,0,'',NULL,NULL,'2020-04-17 20:13:39'),(1431,'98d8308d50118cc9cbeacd14ebe8e36d','1',2,0,'',NULL,NULL,'2020-04-17 20:54:04'),(1432,'affd42ab2dd3c255734d4dd3ad73c343','1',2,0,'',NULL,NULL,'2020-04-17 20:55:30'),(1433,'df3546c4610c0565648c13444b09c207','2',2,0,'',NULL,NULL,'2020-04-17 20:55:32'),(1434,'941ed29b7ed8660744b938a4f2464173','2',2,0,'',NULL,NULL,'2020-04-17 20:55:58'),(1435,'e3590c6e5bf2418a4fdfb7423a56d1b6','1',1,0,'',NULL,NULL,'2020-04-17 20:56:12'),(1436,'b7aab87f9bddc3c1eda379fa8fae455c','2',23,0,'',NULL,NULL,'2020-04-17 20:56:34'),(1437,'87a717fe36c5fa0c2b0187c916358b75','1',12,0,'',NULL,NULL,'2020-04-17 20:57:22'),(1438,'e02a5fd910a4230c2b7abf9017d478be','1',12,0,'',NULL,NULL,'2020-04-17 20:57:22'),(1439,'ec75f1e6e5d680429dd1456b45597f43','2',12,0,'',NULL,NULL,'2020-04-17 20:57:24'),(1440,'b7e67bd06d2345fe84c83064caa5ea7f','2',12,0,'',NULL,NULL,'2020-04-17 20:57:24');

/*Table structure for table `v1_say` */

DROP TABLE IF EXISTS `v1_say`;

CREATE TABLE `v1_say` (
  `say_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '留言表',
  `user_id` int(10) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `say_type` int(2) NOT NULL DEFAULT '1' COMMENT '类型 1.留言 2.回复',
  `say_content` text COMMENT '留言内容',
  `say_to` int(10) NOT NULL DEFAULT '0' COMMENT '留言对象',
  `say_site` varchar(100) NOT NULL DEFAULT '' COMMENT '地址',
  `say_state` varchar(10) NOT NULL DEFAULT '' COMMENT '管理状态',
  `say_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '添加时间',
  PRIMARY KEY (`say_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

/*Data for the table `v1_say` */

insert  into `v1_say`(`say_id`,`user_id`,`say_type`,`say_content`,`say_to`,`say_site`,`say_state`,`say_time`) values (3,1,1,'准备工作似乎都已到位。发布之弦',3,'','','2020-04-15 22:15:46'),(4,0,2,'1',3,'','on','2020-04-15 21:50:42'),(5,0,2,'1',3,'','on','2020-04-15 21:52:35');

/*Table structure for table `v1_see_record` */

DROP TABLE IF EXISTS `v1_see_record`;

CREATE TABLE `v1_see_record` (
  `see_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '观看记录表',
  `user_id` varchar(10) NOT NULL COMMENT '用户ID',
  `see_title` varchar(100) NOT NULL DEFAULT '' COMMENT '内容标题',
  `see_pic` text COMMENT '海报',
  `see_url` text COMMENT '地址',
  `see_type` varchar(10) NOT NULL COMMENT '类型',
  `see_count` int(10) NOT NULL DEFAULT '1' COMMENT '次数',
  `see_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '时间',
  PRIMARY KEY (`see_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

/*Data for the table `v1_see_record` */

insert  into `v1_see_record`(`see_id`,`user_id`,`see_title`,`see_pic`,`see_url`,`see_type`,`see_count`,`see_time`) values (6,'2','斗罗大陆','https://p.ssl.qhimg.com/d/dy_695e41b4208ee7f19ee1c741bb703d3d.','/play-dm/ct/OUPkaZ7kNY7vDj.html','dm',1,'2020-04-24 12:53:13'),(5,'2','陈情令之乱魄','https://p.ssl.qhimg.com/d/dy_e1e8367f245177d99e289c8c08bda301.jpg','/play-dy/m/f6jjYhH5SHb1Tx.html','dy',1,'2020-04-24 12:52:04');

/*Table structure for table `v1_tort` */

DROP TABLE IF EXISTS `v1_tort`;

CREATE TABLE `v1_tort` (
  `tort_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '侵权表',
  `tort_title` varchar(100) NOT NULL DEFAULT '' COMMENT '侵权内容标题',
  `tort_site` text COMMENT '侵权内容地址',
  `tort_desc` varchar(100) DEFAULT NULL COMMENT '描述',
  `tort_state` varchar(10) NOT NULL DEFAULT 'on' COMMENT '侵权管理状态',
  `tort_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '添加时间',
  PRIMARY KEY (`tort_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

/*Data for the table `v1_tort` */

insert  into `v1_tort`(`tort_id`,`tort_title`,`tort_site`,`tort_desc`,`tort_state`,`tort_time`) values (2,'陈情令之乱魄','http://lycms.la/play-dy/m/f6jjYhH5SHb1Tx.html','测试','on','2020-04-17 21:01:46');

/*Table structure for table `v1_user` */

DROP TABLE IF EXISTS `v1_user`;

CREATE TABLE `v1_user` (
  `user_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '会员表',
  `user_name` varchar(18) NOT NULL COMMENT '用户名',
  `user_passwd` varchar(32) NOT NULL COMMENT '密码',
  `user_email` varchar(100) NOT NULL COMMENT '邮箱',
  `user_last_login_ip` varchar(15) NOT NULL DEFAULT '0.0.0.0' COMMENT '最后登录时间',
  `user_last_login_time` bigint(13) NOT NULL DEFAULT '0' COMMENT '最后登录IP',
  `user_login_time` bigint(13) NOT NULL DEFAULT '0' COMMENT '最近登录时间',
  `user_login_ip` varchar(15) NOT NULL DEFAULT '0.0.0.0' COMMENT '最近登录IP',
  `user_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '注册时间',
  `user_state` varchar(15) NOT NULL DEFAULT 'on' COMMENT '状态',
  `user_count` int(10) NOT NULL DEFAULT '0' COMMENT '登录次数统计',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_name` (`user_name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

/*Data for the table `v1_user` */

insert  into `v1_user`(`user_id`,`user_name`,`user_passwd`,`user_email`,`user_last_login_ip`,`user_last_login_time`,`user_login_time`,`user_login_ip`,`user_time`,`user_state`,`user_count`) values (3,'123456','cd08be814ab443b13d4e71092ff99b9e','123456@qq.com','127.0.0.1',1587709710,1587796511,'127.0.0.1','2020-04-24 14:28:20','on',2);

/*Table structure for table `v1_user_info` */

DROP TABLE IF EXISTS `v1_user_info`;

CREATE TABLE `v1_user_info` (
  `user_id` int(10) NOT NULL COMMENT '用户信息表',
  `user_nick` varchar(100) NOT NULL DEFAULT '默认昵称' COMMENT '昵称',
  `user_qq` varchar(18) NOT NULL DEFAULT '' COMMENT 'QQ',
  `user_pic` varchar(255) NOT NULL DEFAULT '/static/user/img/touxiang.png' COMMENT '头像',
  `user_lv` int(10) NOT NULL DEFAULT '0' COMMENT '等级',
  `user_points` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '余额',
  `user_groom` varchar(64) NOT NULL DEFAULT '' COMMENT '推荐码',
  `user_grooms` varchar(64) NOT NULL DEFAULT '' COMMENT '推荐人',
  `user_status` varchar(10) NOT NULL DEFAULT '0' COMMENT '身份 1.会员 0.普通用户',
  `user_status_time` bigint(13) NOT NULL DEFAULT '0' COMMENT '过期时间',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_groom` (`user_groom`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `v1_user_info` */

insert  into `v1_user_info`(`user_id`,`user_nick`,`user_qq`,`user_pic`,`user_lv`,`user_points`,`user_groom`,`user_grooms`,`user_status`,`user_status_time`) values (3,'23a566e34d83f4607e89082e58ef1e35','','/static/user/img/touxiang.png',0,'0.00','1587709700','','0',0);

/*Table structure for table `v1_vod` */

DROP TABLE IF EXISTS `v1_vod`;

CREATE TABLE `v1_vod` (
  `vod_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '视频主表',
  `vod_title` varchar(255) NOT NULL DEFAULT '' COMMENT '视频标题',
  `vod_score` float NOT NULL DEFAULT '0' COMMENT '视频评分',
  `vod_desc` text COMMENT '视频简介',
  `playListType` int(1) NOT NULL DEFAULT '0' COMMENT '列表加载类型',
  `playerType` int(2) NOT NULL DEFAULT '1' COMMENT '播放器类型',
  `play_id` int(10) NOT NULL DEFAULT '0' COMMENT '视频播放数据',
  `click` int(10) NOT NULL DEFAULT '0' COMMENT '点击量',
  `vod_ranking` varchar(10) NOT NULL DEFAULT '' COMMENT '视频排行',
  `cid` int(10) NOT NULL COMMENT '视频附加信息',
  `vod_year` varchar(10) NOT NULL DEFAULT '0' COMMENT '视频年份',
  `vod_region_id` int(10) NOT NULL DEFAULT '0' COMMENT '视频地区',
  `vod_type_id` int(10) NOT NULL DEFAULT '0' COMMENT '类型',
  `vod_actor_id` int(10) NOT NULL DEFAULT '0' COMMENT '演员',
  `vod_director_id` int(10) NOT NULL DEFAULT '0' COMMENT '视频导演',
  PRIMARY KEY (`vod_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*Data for the table `v1_vod` */

/*Table structure for table `v1_vod_actor` */

DROP TABLE IF EXISTS `v1_vod_actor`;

CREATE TABLE `v1_vod_actor` (
  `vod_actor_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '演员表',
  `vod_actor` varchar(100) NOT NULL DEFAULT '' COMMENT '演员标题',
  `vod_id` int(10) NOT NULL DEFAULT '0' COMMENT '视频ID',
  PRIMARY KEY (`vod_actor_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*Data for the table `v1_vod_actor` */

/*Table structure for table `v1_vod_director` */

DROP TABLE IF EXISTS `v1_vod_director`;

CREATE TABLE `v1_vod_director` (
  `vod_director_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '导演表',
  `vod_director` varchar(100) NOT NULL DEFAULT '' COMMENT '导演标题',
  `vod_id` int(10) NOT NULL DEFAULT '0' COMMENT '视频ID',
  PRIMARY KEY (`vod_director_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*Data for the table `v1_vod_director` */

/*Table structure for table `v1_vod_play` */

DROP TABLE IF EXISTS `v1_vod_play`;

CREATE TABLE `v1_vod_play` (
  `play_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '视频播放表',
  `vod_sign` varchar(100) NOT NULL DEFAULT '' COMMENT '来源标识',
  `vod_url` longtext COMMENT '播放地址',
  `vod_name` varchar(100) NOT NULL DEFAULT '' COMMENT '播放标题',
  `vod_time` varchar(100) NOT NULL DEFAULT '' COMMENT '期',
  `vod_vip` varchar(10) NOT NULL DEFAULT '' COMMENT '是否付费',
  `vod_id` int(10) NOT NULL DEFAULT '0' COMMENT '视频ID',
  PRIMARY KEY (`play_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*Data for the table `v1_vod_play` */

/*Table structure for table `v1_vod_type` */

DROP TABLE IF EXISTS `v1_vod_type`;

CREATE TABLE `v1_vod_type` (
  `vod_type_id` int(10) NOT NULL AUTO_INCREMENT COMMENT '视频类型表',
  `vod_type` varchar(100) NOT NULL DEFAULT '' COMMENT '类型标题',
  `vod_id` int(10) NOT NULL DEFAULT '0' COMMENT '视频ID',
  PRIMARY KEY (`vod_type_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*Data for the table `v1_vod_type` */

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
